openvswitch (3.3.0-1ubuntu3.2) noble-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 10:01:55 -0500

openvswitch (3.3.0-1ubuntu3.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200

openvswitch (3.3.0-1ubuntu3) noble; urgency=medium

  * d/p/ofproto-dpif-xlate-Fix-continuations-with-associated-
    metering.patch: Cherry-pick fix required for OVN 24.03.2
    (LP: #2066906).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 23 May 2024 13:14:27 +0000

openvswitch (3.3.0-1ubuntu2) noble; urgency=medium

  * d/tests: Allow populating TEST_LIST from environment.
  * d/tests: Bump number of 1G hugepages to 3 for arm64 (LP: #2063112).
  * d/tests: Skip flaky tests.
  * d/tests/testlist.py: Handle range of single test correctly.
  * d/tests: Skip tests not fitting memory constraints in arm64 CI
    (LP: #2063152).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 23 Apr 2024 19:01:56 +0000

openvswitch (3.3.0-1ubuntu1) noble; urgency=medium

  * d/p/lp-2060434-*.patch: Fix FTBFS caused by change of behavior in
    Python 3.12.x (LP: #2060434).
  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64
    (LP: #2059400).
  * d/tests/userspace-skip-tests.txt: Skip 802.1ad - vlan_limit to
    unblock s390x autopkgtests pending investigation of (LP: #2060245).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 08 Apr 2024 14:03:46 +0000

openvswitch (3.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:04 +1100

openvswitch (3.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:32:06 +0000

openvswitch (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0'.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Drop, included in new upstream version.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Drop, included in new upstream version.
  * d/openvswitch-switch.lintian-overrides: Remove obsolete tag "package-
    supports-alternative-init-but-no-init.d-script".
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * CVE-2023-3966: Fix invalid memory access in Geneve with HW offload
    (Closes: #1063492).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 29 Feb 2024 14:25:30 +0100

openvswitch (3.3.0~git20240118.e802fe7-3) unstable; urgency=medium

  * Team upload.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Cherry-pick fix, required for OVN branch-24.03 snapshot.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 08:45:19 +0000

openvswitch (3.3.0~git20240118.e802fe7-2) unstable; urgency=medium

  * Team upload.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Fix s390x build error.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Sat, 20 Jan 2024 09:45:12 +0000

openvswitch (3.3.0~git20240118.e802fe7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0_git20240118.e802fe7'

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 18 Jan 2024 20:43:44 +0000

openvswitch (3.2.2~git20231029-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Don't stop non-existing testcontroller service.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 30 Nov 2023 06:51:51 +0100

openvswitch (3.2.2~git20231029-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add architecture-is-64-bit, making the package build only for 64 bits and
    dropping 32 bits support.
  * Drop non-64 bits test blacklists from d/rules.
  * Cleans better.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.2.2_git20231029'
  * d/p/*: Drop patches included in new upstream version.
  * d/control: Bump dpdk dependency (LP: #2040097).
  * d/t/*-skip-tests.txt: Add flaky test to list.
  * d/rules: Provide source tree directly under /usr/src/openvswitch
    instead of providing a .tar.gz archive to fix reproducible build issue.
  * Drop init wiring of testcontroller and vtep emulator (Closes: #1039304).
    - The openvswitch-testcontroller and openvswitch-vtep binary packages
      contain daemons/scripts useful for development and testing.
    - Drop associated init scripts in preparation for deprecation of the
      transitional sysv-init-to-unit generator, as it would be non-trivial
      to convert these to systemd services.
    - An adapted version of the init script will be retained in
      /etc/openvswitch-testcontroller and /etc/openvswitch-vtep and can be
      used for manual control of the test services.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2023 10:16:21 +0100

openvswitch (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/tests-Fix-time-dependency-in-overlapping-flows-modification-
    test..patch: Fix riscv64 build failure.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 28 Aug 2023 16:24:15 +0200

openvswitch (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.2.0'
  * d/p/docs-*: Update patch for #1042358.
  * d/p/lib-fatal-signal-Drop-logging-of-failed-dummy-backtr.patch: Drop
    unnecessary debug logging to fix armhf build (LP: #2032623).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 22 Aug 2023 10:43:20 +0200

openvswitch (3.1.2-4) unstable; urgency=medium

  * Fix ifupdown.sh (Closes: #1039601).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 11:15:19 +0200

openvswitch (3.1.2-3) unstable; urgency=medium

  * Re-add openvswitch-common.postinst to clean-up obsolete alternative,
    thanks to Andreas Beckmann for it (Closes: #1036569).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 10:55:22 +0200

openvswitch (3.1.2-2) unstable; urgency=medium

  * Add patches from Colin Watson to repair the docs (Closes: #1042358):
    - docs-1-Wrap_more_table_entries_in_text_blocks.patch
    - docs-2-Shorten_overly-wide_table_heading.patch
    - docs-3-Tweak_width_of_name_column_in_field_property.patch
    - docs-4-Fix_rendering_of_VLAN_Comparison_Chart.patch
    - docs-5-Run_tbl_preprocessor_in_manpage-check_rule.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Aug 2023 16:57:37 +0200

openvswitch (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.1.2'.
  * d/p/CVE-2023-1668_ofproto-dpif-xlate_Always_mask_ip_proto_field.patch:
    Drop, included in new upstream version.
  * d/control: Add libnuma-dev on s390x for AF_XDP.
  * d/p/drop-old-autopkgtest: Drop old autopkgtest.
  * debian/tests: Run upstream system tests as autopkgtests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 27 Jun 2023 19:13:06 +0200

openvswitch (3.1.0-2) unstable; urgency=high

  * CVE-2023-1668: Remote traffic denial of service via crafted packets with IP
    proto 0. Applied upstream patch: ofproto-dpif-xlate: Always mask ip proto
    field (Closes: #1034042).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Apr 2023 11:54:40 +0200

openvswitch (3.1.0-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop dependencies on lsb-base, deprecated
  * Bump Standards-Version to 4.6.2, no changes

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.1.0'
  * d/rules: Set branch for snapshots to branch-3.1.
  * d/debian/openvswitch-switch.install, d/debian/openvswitch-
    test.install: Move USDT scripts to test package.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Feb 2023 22:02:16 +0000

openvswitch (3.1.0~git20230108.006e1c6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/3.1.0_git20230108.006e1c6'.
  * d/p/CVE-2022-4337and8: Drop, included in snapshot.
  * d/p/af-xdp*: Drop, included in snapshot.
  * d/openvswitch-switch.install: Add USDT scripts.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 09 Jan 2023 07:47:45 +0100

openvswitch (3.1.0~git20221212.739bcf2-4) unstable; urgency=high

  * Add dpdk support for riscv64 (Closes: #1027329).
  * CVE-2022-4337 & CVE-2022-4338: Out-of-Bounds Read and Integer Underflow in
    Organization Specific TLV. Added upstream patches (Closes: #1027273).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jan 2023 10:06:22 +0100

openvswitch (3.1.0~git20221212.739bcf2-3) unstable; urgency=medium

  * salsa-ci.yml: build on unstable
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 14:02:44 +0000

openvswitch (3.1.0~git20221212.739bcf2-2) experimental; urgency=medium

  * Exclude xdp-tools build dep on ports where it's not available

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 14:16:37 +0000

openvswitch (3.1.0~git20221212.739bcf2-1) experimental; urgency=medium

  * Update upstream source from snapshot 'upstream/3.1.0_git20221212.739bcf2'
  * d/rules: Update snapshot target version
  * d/gbp.conf: Set experimental branch
  * d/control: Bump DPDK dependency to 22.11
  * d/control: Add build dependencies for AF_XDP
  * d/p/af-xdp-*: Add patches to build AF_XDP support by default

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 14 Dec 2022 15:25:27 +0100

openvswitch (3.0.1-1) experimental; urgency=medium

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.0.1'
  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    Drop
  * d/openvswitch-common.install: Add ovsdb.local-config man page
  * d/openvswitch-switch.install: Add local-config.ovsschema
  * d/rules: Build the Python JSON C extension
  * d/control: Make python3-openvswitch a binary package, drop python3-six
    dependency
  * d/copyright: Drop references to XenServer
  * d/openvswitch-switch.README.Debian: Drop reference to out of tree
    kernel module
  * d/control: Add suggested optional dependencies for Python OVS flow
    parsing
  * d/copyright: Drop references to datapath/*
  * d/copyright.in: Sync with upstream repository
  * d/rules: Add comment about the explicit -fPIC for this package

  [ Luca Boccassi ]
  * Drop setuptools-import-order.patch, distutils is no longer used

 -- Luca Boccassi <bluca@debian.org>  Thu, 24 Nov 2022 18:42:45 +0000

openvswitch (2.17.2-5) unstable; urgency=medium

  * Add OOMScoreAdjust=-900 for a number of vital services.
  * Add setuptools-import-order.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 10:59:53 +0200

openvswitch (2.17.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 20:59:13 +0100

openvswitch (2.17.2-3) experimental; urgency=medium

  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    Cherry pick feature to improve scalability and performance which is
    required for OVN 22.03.1 (LP: #1980809).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 01 Aug 2022 15:55:37 +0200

openvswitch (2.17.2-2) experimental; urgency=medium

  * d/rules: exclude new tests that are failing on hppa
  * d/rules: exclude new tests that are failing on riscv64 (Closes:
    #1009969)
  * d/rules: exclude new tests that are failing on sparc64
  * d/clean: add trailing slash to directories
  * Do not install python3/ovtest in two packages (Closes: #1014749)
  * d/rules: simplify Python handling

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Jul 2022 14:16:53 +0100

openvswitch (2.17.2-1) experimental; urgency=medium

  [ Team upload ]
  * Update to 2.17.2 and merge Debian and Ubuntu packaging

  [ Christian Ehrhardt ]
    - d/control: merge Debian's uploaders list and extend it
    - d/control: bump Standards-Version (no changes needed)
    - d/control: set salsa based Vcs tags
    - d/control: switch to debhelper-compat (= 13)
    - d/control: add misc:Pre-Depends for compat 13 to pkgs with services
    - d/rules: dh_missing now covers --list-missing
    - d/rules: switch service start to compat 13 style
    - d/control: add breaks and replaces to match the file reorg seen by
      Debian between various packages
      + openvswitch-common to openvswitch-testcontroller
      - openvswitch-common to openvswitch-test
      - python3-openvswitch to openvswitch-test
    - d/control, d/openvswitch-dev.install: drop openvswitch-dev
      [Unused and not considered ABI stable, related to the
       drop of --enable-shared]
  * autopkgtest: also check service status
  * d/t/control: add isolation-machine as modules are involved
  * d/openvswitch-switch.{preinst,postinst,postrm}: take over
    /etc/default/openvswitch-switch

  [ Luca Boccassi ]
  * Merge debian/yoga with debian/2.17.0-0ubuntu1 into debian/experimental
    - retaining git history of both projects
    - retaining additions in Debian like maint script permissions,
      whitespace fixes and many other small things
    - drop --enable-shared
  * d/control: set Rules-Requires-Root
  * Remove dependency on automake1.10, obsolete
  * d/control: remove XS-Testsuite
  * Suggest python3:any when an optional python script is shipped
  * Add missing Pre-Depends
  * openswitch-source: add APL2 NOTICE to docs
  * Override some Lintian false positives
  * Override Lintian error about lack of +ds suffix
  * Enable hardening compiler options
  * autopkgtest: drop kernel module test
  * d/rules: use dh-exec instead of manually copying files
  * d/rules: drop remaining python2 logic
  * d/rules: adjust indentation
  * use d/clean instead of manual rm
  * d/rules: drop obsolete autoreconf snippets
  * d/rules: use execute_before/after
  * d/rules: switch to dh-sequence build dependencies
  * d/rules: use --sourcedirectory
  * Drop manual openvswitch-dbg package
  * d/rules: do not mark python test modules as executable
  * Override Lintian warning about autogenerated sources
  * Add dependency on lsb-base for sysv-only packages
  * ovsdb-server.service: switch from syslog.target to journald dependency
  * d/rules: add test exclusions for other archs from debian/yoga

  [ Frode Nordahl ]
  * d/rules: Allow use of EXTRA_CONFIGURE_OPTS
  * d/dkms.conf.in, d/rules.modules: drop unused
  * d/tests/*: Replace `echo -n` with `printf
  * d/automake.mk: Update list of files for upstream distribution
  * d/ifupdown.sh: Replace calls to ifconfig with `ip link`
  * Handle missing files
  * d/rules: Initialize DEB_HOST_ARCH when not set
  * Remove uneccessary whitespace in patches

 -- Luca Boccassi <bluca@debian.org>  Tue, 05 Jul 2022 13:02:40 +0100

openvswitch (2.17.0-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * d/control: Switch to using debhelper-compat for debhelper
    versioning.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Feb 2022 10:20:30 +0000

openvswitch (2.17.0~git20220121.109d024-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.
  * d/rules: Use branch-2.17 for snapshots.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Feb 2022 15:35:46 +0000

openvswitch (2.17.0~git20220118.1b9fd88-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Jan 2022 13:06:05 +0000

openvswitch (2.17.0~git20220105.0d1ffb7-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.
  * d/p/*: Drop patches included in upstream snapshot.
  * d/control: Bump DPDK version to 21.11.
  * d/rules: Refresh skip test list for armhf.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Jan 2022 14:12:22 +0000

openvswitch (2.16.0-0ubuntu4) jammy; urgency=medium

  * d/p/netlink-add-parsing-link-layer.patch: Add support for parsing of
    link layer addresses via netlink.
  * d/control: Add iproute2 to Build-Depends.
  * d/p/tests-Handle-endianness-in-netlink-policy-test.patch: Cherry
    pick endian fix for netlink tests.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Nov 2021 12:24:59 +0000

openvswitch (2.16.0-0ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:14 +0000

openvswitch (2.16.0-0ubuntu2) impish; urgency=medium

  * d/p/ovsdb-idl-Add-APIs-to-query.patch: Cherry pick fix to add
    new API's to query if a table or column is present, required for OVN
    > 21.09.0~.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Sep 2021 09:17:52 +0100

openvswitch (2.16.0-0ubuntu1) impish; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Aug 2021 10:53:42 +0100

openvswitch (2.16.0~git20210719.45bd6d93f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot from 2.16 release branch.
  * d/p/ovs-dirs.patch: Drop, included in snapshot.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jul 2021 10:58:12 +0100

openvswitch (2.15.1-0ubuntu1) impish; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream minor release 2.15.1
  * drop d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch which
    is upstream in 2.15.1
  * d/control: python3-six bdep is no more needed
  * drop d/p/py3-compat.patch as upstream switched to python3 in 2.15.1

  [ James Page ]
  * d/ifupdown.sh: Correct paths for systemctl and the
    openvswitch-switch systemd unit for ifupdown integration
    (LP: #1731916).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 13 Jul 2021 14:58:38 +0200

openvswitch (2.15.0+ds1-11) UNRELEASED; urgency=medium

  * Blacklist more unit tests on mipsel:
    - 1036: ofproto-dpif - select group with weights FAILED (ofproto-dpif.at:787)
    - 1072: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:2145)
  * Blacklist more unit tests on riscv64 (same as above).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 16:50:02 +0100

openvswitch (2.15.0+ds1-10) unstable; urgency=medium

  * CVE-2021-36980: use-after-free in decode_NXAST_RAW_ENCAPAdd. Add upstream
    patch (Closes: #991308).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 12:07:24 +0100

openvswitch (2.15.0+ds1-9) unstable; urgency=medium

  * Blacklist unit test 27 on armel.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Nov 2021 13:01:52 +0100

openvswitch (2.15.0+ds1-8) unstable; urgency=medium

  * Blacklist more unit tests for armhf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2021 18:28:26 +0200

openvswitch (2.15.0+ds1-7) unstable; urgency=medium

  * mips64el: blacklist 1035: ofproto-dpif - select group with weights.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2021 11:01:18 +0200

openvswitch (2.15.0+ds1-6) unstable; urgency=medium

  [ Felix Moessbauer ]
  * Also use slave update-alternative for libofproto.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:17:21 +0200

openvswitch (2.15.0+ds1-5) unstable; urgency=medium

  * Never run unit test 21: bfd - bfd decay, as it's failing too often on so
    many arch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 11:52:03 +0200

openvswitch (2.15.0+ds1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 09:32:56 +0200

openvswitch (2.15.0+ds1-3) experimental; urgency=medium

  [ Amaury Séchet ]
  * Add an openvswitch-source package, needed to build OVN.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Mar 2021 22:15:45 +0100

openvswitch (2.15.0+ds1-2) unstable; urgency=medium

  * Mipsel64 and mipsel: blacklist more tests, as they are failing on these
    arch, and then the package FTBFS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Feb 2021 21:58:03 +0100

openvswitch (2.15.0+ds1-1) unstable; urgency=medium

  * New upstream final release.
  * Removed CVE patches applied upstream:
    - CVE-2020-27827
    - CVE-2020-35498
  * Fix renaming: libopenvswitch-2.14.so.0.0.90 -> libopenvswitch-2.15.so.0.0.0

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Feb 2021 17:35:10 +0100

openvswitch (2.15.0-0ubuntu4) impish; urgency=medium

  * Re-introduce openvswitch-ipsec package (LP: #1912610):
    - d/control: Add openvswitch-ipsec with relevant dependencies.
    - d/openvswitch-ipsec.*: Install ipsec monitor script and provide
      systemd service for this feature.
    - d/p/ovs-ctl-ipsec.patch: Skip monitoring of ipsec daemon as
      systemd will do this.
  * d/rules: Drop redundant usage of --with=systemd.
  * d/copyright: Tidy to remove usage of tabs.
  * d/p/ovs-dirs.patch: Cherry pick fix to ensure that Python module
    uses configured runtime directories.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jun 2021 10:21:21 +0100

openvswitch (2.15.0-0ubuntu3) hirsute; urgency=medium

  * d/t/{vanilla,dpdk}: mininet >=2.3 is python3

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Mar 2021 08:02:10 +0100

openvswitch (2.15.0-0ubuntu2) hirsute; urgency=medium

  * Fix recording of FQDN/hostname on startup (LP: #1915829):
    - d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch: Cherry
      pick of committed upstream fix to support skip of hostname
      configuration on ovs-vswitchd/ovsdb-server startup.
    - d/openvswitch-switch.ovs-record-hostname.service: Record hostname in
      Open vSwitch after network-online.target using new systemd unit.
    - d/openvswitch-switch.ovs-vswitchd.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.ovsdb-server.service: Pass `--no-record-hostname`
      option to `ovs-ctl` to delegate recording of hostname to the separate
      service.
    - d/openvswitch-switch.service: Add `Also` reference to
      ovs-record-hostname.service so that the service is enabled on install.
    - d/rules: Add `ovs-record-hostname.service` to package build.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 16 Feb 2021 18:42:00 +0100

openvswitch (2.15.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.15

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 16 Feb 2021 14:16:55 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-5) unstable; urgency=high

  * CVE-2020-35498: Packet parsing vulnerability. Applied upstream patch:
    flow: Support extra padding length.patch (Closes: #982493).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Feb 2021 22:59:35 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-4) unstable; urgency=high

  * CVE-2020-27827: denial of service attacks in which crafted LLDP packets
    could cause memory to be lost when allocating data to handle specific
    optional TLVs. Applied upstream patch: lldp: do not leak memory on multiple
    instances of TLVs (Closes: #980132).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2021 08:10:49 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-3) unstable; urgency=medium

  * Reworked .service files to make them look like in Ubuntu (as I still want
    our packages converge).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 21:08:37 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-2) unstable; urgency=medium

  * Blacklist more tests for mipsel and mipsel64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 00:20:48 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-1) unstable; urgency=high

  [ Luca Boccassi ]
  * Merge branch 'master-dfsg' into 2.15
  * Bump dependency on libbpdk-dev >= 20.11 (Closes: #974588)
  * Refresh py3-compat.patch for v2.15
  * Realign armhf test skip range due to upstream changes
  * Use new --with-dpdk=shared configure flag value

  [ Thomas Goirand ]
  * Blacklist test 532 (because non-deterministic).

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Jan 2021 14:56:30 +0100

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu3) hirsute; urgency=medium

  * d/openvswitch-switch.ovsdb-server.service: avoid removing the state
    dir on restart (LP: #1910209)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 07 Jan 2021 12:14:35 +0000

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu2) hirsute; urgency=medium

  * d/rules: Re-align expected test failure with test numbering on
    armhf.

 -- James Page <james.page@ubuntu.com>  Tue, 05 Jan 2021 10:11:51 +0000

openvswitch (2.15.0~git20210104.def6eb1ea-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot in preparation for 2.15.0 release.
  * d/p/*: Refresh
  * d/control: Bump minimum libdpdk-dev version to 20.11.
  * d/control: Add BD on libdbus-1-dev for pcap architectures.
  * d/rules: Set DPDK build to use shared libraries.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2021 15:59:44 +0000

openvswitch (2.14.0-0ubuntu2) hirsute; urgency=medium

  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 12:34:26 -0500

openvswitch (2.14.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Nov 2020 16:42:34 +0000

openvswitch (2.13.1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/openvswitch-switch.ovsdb-server.service: Add local-fs.target to
    systemd service file to ensure that local filesystems are ready
    before the ovsdb service tries to start (LP: #1887177).
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ James Page ]
  * New upstream point release.
  * d/p/py3-compat.patch: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2020 12:17:06 +0100

openvswitch (2.13.0+dfsg1-16) unstable; urgency=medium

  * Generating postinst at build time to avoid using dpkg-architecture at
    runtime.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Jan 2021 22:13:51 +0100

openvswitch (2.13.0+dfsg1-15) unstable; urgency=medium

  * Fix installing OVS alternatives on non-amd64 arch (Closes: #979366).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2021 22:29:08 +0100

openvswitch (2.13.0+dfsg1-14) unstable; urgency=medium

  * Starts openvswitch-nonetwork.service after dpdk.service. Thanks to
    Adriaan Schmidt from Siemens for the report (Closes: #968333).
  * Fix ifupdown.sh script (Closes: #964029).
  * Fix dh_installinit dh_installsystemd calls, and switch to debhelper-compat
    12 (Closes: #961746).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2021 13:49:14 +0100

openvswitch (2.13.0+dfsg1-13) unstable; urgency=medium

  * control: Remove myself as an uploader.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 13 Dec 2020 15:13:09 -0800

openvswitch (2.13.0+dfsg1-12) unstable; urgency=medium

  * d/rules: replace x86_64-linux-gnu by a wildcard so it works in all arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jun 2020 17:02:50 +0200

openvswitch (2.13.0+dfsg1-11) unstable; urgency=medium

  * Always blacklist 1021 and 1057 (also on amd64).
  * Add patch from Schmidt Adriaan to fix dpdk runtime installation of
    alternatives. Thanks a lot to him. (Closes: #963957)

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 10:25:37 +0200

openvswitch (2.13.0+dfsg1-10) unstable; urgency=medium

  * armhf: blacklist 918 1021 1057 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:26:15 +0200

openvswitch (2.13.0+dfsg1-9) unstable; urgency=medium

  * Blacklist 917. ofproto - asynchronous message control (OpenFlow 1.2) on
    mipsel arch.
  * Also add a testsuite list for ia64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 09:02:33 +0200

openvswitch (2.13.0+dfsg1-8) unstable; urgency=medium

  * Fixed mipsel64 -> mips64el in d/rules unit tests blacklisting.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Mar 2020 22:01:31 +0200

openvswitch (2.13.0+dfsg1-7) unstable; urgency=medium

  * armhf: blacklist 26: bfd - check that BFD works together with RSTP.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Mar 2020 21:14:17 +0200

openvswitch (2.13.0+dfsg1-6) unstable; urgency=medium

  * Never run unit test 20 which isn't deterministic.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Mar 2020 18:15:56 +0200

openvswitch (2.13.0+dfsg1-5) unstable; urgency=medium

  * Blacklist failing tests on alpha (Closes: #880511).
  * More tests disabled for sparc64.
  * Uploading to unstable:
    - Fixes FTBFS (Closes: #954580).
    - Will migrate to testing, hopefully (Closes: #954367).
    - Fixes constant 100% CPU (Closes: #949845).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Mar 2020 15:10:42 +0100

openvswitch (2.13.0+dfsg1-4) experimental; urgency=medium

  * Blacklist failing tests on HPPA (Closes: #880514).
  * Blacklist failing tests on sparc64 (Closes: #888905).
  * Replace the *.pid by a find command in logrotate file, so it's not failing
    if no pid file is present (Closes: #954202), thanks to Benjamin Drung for
    bug report and patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Mar 2020 11:35:16 +0100

openvswitch (2.13.0+dfsg1-3) experimental; urgency=medium

  * More disabled tests for mips and mipsel64.
  * Removed patch files from d/patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Mar 2020 12:57:17 +0100

openvswitch (2.13.0+dfsg1-2) experimental; urgency=medium

  * Blacklist some tests on some arch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Mar 2020 09:32:26 +0100

openvswitch (2.13.0+dfsg1-1) experimental; urgency=medium

  * New upstream release:
    - Works with dpdk 19.11 (Closes: #951699).
  * Commit some changes from the Ubuntu package to add more consistency.
  * Remove all the OVN packaging, as upstream has split its repository.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Mar 2020 11:37:20 +0100

openvswitch (2.13.0-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2020 12:04:03 +0000

openvswitch (2.13.0~git20200212.15ae9db33-0ubuntu2) focal; urgency=medium

  * d/control,openvswitch-{switch.common}.install: Move ovsdb-tool to
    common package (LP: #1863711).

 -- James Page <james.page@ubuntu.com>  Wed, 19 Feb 2020 16:38:36 +0000

openvswitch (2.13.0~git20200212.15ae9db33-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/p/tc-handle-packet-mark-of-zero.patch: Drop, included in snapshot.
  * d/control,openvswitch-{switch,common}.install: Move ovsdb-server binary
    and manpage from -switch to -common package to avoid using
    openvswitch-switch package from ovn packages.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2020 12:08:03 +0000

openvswitch (2.13.0~git20200127.dbdf66c29-0ubuntu2) focal; urgency=medium

  * Restore changes from 2.12.90~git20200107.af683565b-0ubuntu3 accidentally
    lost in previous upload.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2020 11:25:24 +0000

openvswitch (2.13.0~git20200127.dbdf66c29-0ubuntu1) focal; urgency=medium

  * New upstream snapshot from 2.13 release branch.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2020 10:43:39 +0000

openvswitch (2.12.90~git20200107.af683565b-0ubuntu3) focal; urgency=medium

  * Use python2 in the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2020 14:14:33 +0100

openvswitch (2.12.90~git20200107.af683565b-0ubuntu2) focal; urgency=medium

  * d/p/tc-handle-packet-mark-of-zero.patch: Cherry pick OpenStack
    related fix to ensure that tunnel rules with an skb mark of 0 will
    be offloaded.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2020 14:17:31 +0000

openvswitch (2.12.90~git20200107.af683565b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot from master branch.
    - d/control,ovn-*: Drop OVN packages and related files from OVS
      packaging - OVN will be uploaded as a separate source package.
    - d/p/py3-compat.patch: Rebase.
  * Updates for OVN split out/package build:
    - d/rules: build package using dist target to ensure tarball is
      created for use by OVN build.
    - d/control,openvswitch-source.*: Add new openvswitch-source package
      to support OVN build.
  * d/openvswitch-common.install: Include ovs-fields manpage (LP: #1854033).
  * d/rules: Use master branch for snapshot generation.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2020 09:47:44 +0000

openvswitch (2.12.1~git20191107.7accd1302-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/ovn-common.install: Include ovn-trace binary and manpage
    (LP: #1851517).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2019 14:43:03 -0800

openvswitch (2.12.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 13 Sep 2019 15:02:56 +0100

openvswitch (2.12.0~git20190903.1cdf291dc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot from 2.12 branch.
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: Drop,
    included upstream.
  * d/control: Bumped Standards-Version to 4.4.0.
  * d/control,rules: Drop Python 2 support.
  * d/rules: Disable testing of DPDK build on arm64 as builders don't
    have the required crc32 CPU feature.
  * d/control: Version BD for libdpdk-dev to ensure buid without overlinking.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Sep 2019 09:46:28 +0100

openvswitch (2.11.1-0ubuntu1) eoan; urgency=medium

  * New upstream point release (LP: #1836709):
    - d/p/*: Refresh.
  * d/openvswitch-switch.{install,service,ovsdb-server.service},d/ovs-
    systemd-reload: Optimize reload of openvswitch-switch to minimize
    networking downtime (LP: #1823282).
  * d/openvswitch-switch.{ovs-vswitchd,ovsdb-server}.service: Drop
    default dependencies and correct network.service ->
    networking.service, add After: dpdk.service (LP: #1813371).
  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy with case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * d/rules: Refresh TEST_LIST for observed errors for new point release.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jul 2019 11:19:41 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-8) unstable; urgency=medium

  * Removed python:any dependency (Closes: #937216).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Jan 2020 08:46:10 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-7) unstable; urgency=medium

  * Fix moving ovs-vswitchd (Closes: #943990).

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Nov 2019 20:01:23 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-6) unstable; urgency=medium

  * Fix again moving /usr/sbin/ovs-vswitchd away.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 11:57:30 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-5) unstable; urgency=medium

  * Add || true when moving /usr/sbin/ovs-vswitchd so that it also works on
    arch all.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2019 11:42:17 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-4) unstable; urgency=medium

  * Fix installing vtep/vtep-ctl (Closes: #866319).
  * Fix moving /usr/sbin/ovs-vswitchd around on non-dpdk arch, fixing FTBFS on
    these.
  * Removed SYSTEMCTL_SKIP_REDIRECT from:
    - openvswitch-switch init scripts (Closes: #910474.
    - ovn-central.init (Closes: #910472).
    - ovn-host.init (Closes: #910475).
    - ovn-controller-vtep.init (Closes: #910476).
  * Added mkdir -p /var/run in ovs startup (Closes: #930843).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Oct 2019 11:38:08 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Oct 2019 15:17:29 +0100

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-2) unstable; urgency=medium

  [ Jakub Safarik ]
  * Reintroduce the openvswitch-ipsec package.
  * Fix lintian errors:
    - openvswitch-switch: init.d-script-not-included-in-package.
    - openvswitch source: python-depends-but-no-python-helper.
    - openvswitch source: missing-notice-file-for-apache-license.

  [ Thomas Goirand ]
  * Fixed d/copyright (Closes: #942056).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2019 09:13:37 +0200

openvswitch (2.11.0+2019.06.25+git.9ebe795035+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased patches.
  * Removed patch applied upstream:
    - ovs-dev-ovs-macros-Make-tests-log-how-long-they-waited-when-they-s...diff
  * Ran wrap-and-sort -bast.
  * Add dpdk support.
  * Converge with Ubuntu package.
  * Add 0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch.
  * Add disable-failing-ovn-tests.patch.
  * Removed Python 2 support (Closes: #937216).
  * Fixed debian/ifupdown.sh typo: ovs_vsctl -> ovs-vsctl.
  * Remove --parallel when calling dh.
  * Temporarily remove bugtools from openvswitch-common.install (it's
    currently broken, and need a fix).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jul 2019 22:31:36 +0200

openvswitch (2.11.0-0ubuntu2) disco; urgency=medium

  * d/rules: Skip execution of dh_systemd_start for openvswitch-switch
    subunits avoiding multiple restarts during package configuration
    (LP: #1823295).

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2019 17:07:11 +0100

openvswitch (2.11.0-0ubuntu1) disco; urgency=medium

  * d/watch: Update for changes in upstream releases page.
  * New upstream release, superceeding previous snapshots from 2.11
    release branch.
  * d/rules: Skip test 2768 on amd64 and s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Mar 2019 10:11:19 +0000

openvswitch (2.11.0~git20190214.a8a67726e-0ubuntu1) disco; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: update to
    the upstream accepted patch. The changes were unified and thereby drop:
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch

  [ James Page ]
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh/rebase.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Feb 2019 13:12:34 +0000

openvswitch (2.11.0~git20190121.4e4f80ec2-0ubuntu1) disco; urgency=medium

  [ James Page ]
  * d/rules: Switch snapshots to 2.11 branch.
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh.
  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Drop,
    included in snapshot.

  [ Christian Ehrhardt ]
  * fix linking with DPDK 18.11 - updated to v2 of the upstream patch series
    - d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch
  * d/rules: mask test 2767 failing in OVS 2.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 31 Jan 2019 12:03:50 +0100

openvswitch (2.10.1-0ubuntu2) disco; urgency=medium

  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Cherry
    pick fix for abort in OF connection manager.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Nov 2018 10:57:06 +0000

openvswitch (2.10.1-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1804795).
  * d/p/erspan-add-big-endian-bit-fields.patch,tests-Fix-hash-function-
    dependencies-in-tunnel-ERSPA.patch: Drop, included in point release.
  * d/rules: Set shebang for to /usr/bin/python3.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Nov 2018 12:44:51 +0000

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-13) unstable; urgency=medium

  * Some fixups in debian/ifupdown.sh to allow setting-up the MTU.
  * Document how to do Bond + Bridge + VLAN + MTU.
  * Correct dependency on python3-six instead of python-six (Closes: #931104).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Jun 2019 08:53:33 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-12) unstable; urgency=medium

  * Add --may-exist in debian/ifupdown.sh as per upstream commit. Without it,
    networking service may fail (Closes: #926942).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Apr 2019 00:25:19 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-11) unstable; urgency=medium

  * Removes network.service from openvswitch-switch.service to avoid a
    dependency loop in systemd, leading to removal of networking.service.
    Also use "ip link set DEVNAME up" instead of ifconfig, and runtime
    depend on iproute2.
    Thanks to Benjamin Drung for the bug report (Closes: #924562) and to
    Jonathan Dupart for the patch as a merge request in Salsa.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 00:50:26 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-10) unstable; urgency=medium

  * Add remove-non-deterministic-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Dec 2018 08:47:15 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-9) unstable; urgency=medium

  [ Michal Arbet ]
  * Fix load ovs stuff from /etc/network/interfaces (Closes: #910297)
  * Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 11 Dec 2018 11:23:11 +0100

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-8) unstable; urgency=medium

  * Add remove-yet-another-mips-failing-test.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Oct 2018 11:10:50 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-7) unstable; urgency=medium

  * Blacklist "ofproto - asynchronous message control (OpenFlow 1.3)" which
    fails on Mips arch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Oct 2018 15:04:46 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-6) unstable; urgency=medium

  * Fixed files present in 2 binaries (Closes: #907952).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Oct 2018 09:31:42 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-5) unstable; urgency=medium

  * Disable even more tests that are unfortunately failing under mipsel and
    mips64el.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Oct 2018 12:00:36 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Add patch to remove tests failing in all mips arch and armel
    (Closes: #908978).
  * Fix python3 dependency in openvswitch-switch and openvswitch-vtep.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Oct 2018 19:49:44 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-3) unstable; urgency=medium

  * Fixed files installed in both openvswitch-switch and openvswitch-common
    (Closes: #907952).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Sep 2018 12:40:31 +0000

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-2) unstable; urgency=medium

  * Add upstream patch to investigate failures:
    - ovs-dev-ovs-macros-Make-tests-log-how-long-they-waited-when-they-su..diff

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 13:10:46 +0200

openvswitch (2.10.0+2018.08.28+git.8ca7c82b7d+ds1-1) unstable; urgency=medium

  * New upstream release:
    - Fix unit test with OpenSSL 1.1.1 (Closes: #900153).
  * Using +ds1 convention for upstream without debian folder tag.
  * Removed tests_stp_Use_long_warps_instead_of_multiple_calls.patch.
  * Rebased remove-tests-broken-in-mips64el-and-mipsel.patch.
  * Add py3-compat.patch, taken from Ubuntu.
  * Added disable-failed-tests.patch.
  * Add use-python3-m-sphinx-to-build-doc.patch
  * Fix debian/openstack-dev.install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Aug 2018 08:25:45 +0000

openvswitch (2.10.0-0ubuntu4) disco; urgency=medium

  * No-change rebuild against libunbound8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 11 Nov 2018 09:01:37 +0000

openvswitch (2.10.0-0ubuntu3) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:16:49 +0000

openvswitch (2.10.0-0ubuntu2) cosmic; urgency=medium

  * d/{openvswitch-switch,ovn-common}.install: Add missed scripts and
    binaries.
  * d/p/erspan-add-big-endian-bit-fields.patch,tests-Fix-hash-function-
    dependencies-in-tunnel-ERSPA.patch: Cherry pick upstream fixes for
    s390x issues (LP: #1788133).
  * d/rules: Don't skip any tests on s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Aug 2018 09:08:55 +0100

openvswitch (2.10.0-0ubuntu1) cosmic; urgency=medium

  * d/control: Add BD on python{3}-sortedcontainers.
  * d/watch: Update for upstream website changes.
  * New upstream release.
  * d/p/py3-compat.patch: Rebased on latest upstream review.
  * d/rules: Disable tests 805,810,814 on s390x.
  * d/rules: Rename SKIP_TEST -> TEST_LIST.
  * d/rules: Re-enable all tests on arm64/armhf.
  * d/control: Add libunbound-dev to BD's.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Aug 2018 12:35:19 +0100

openvswitch (2.9.2-0ubuntu1) cosmic; urgency=medium

  * Switch openvswitch-* packages to use Python 3 (LP: #1735377):
    - d/p/py3-compat.patch: Misc py3 compat fixes for bug tools.
    - d/control: ${python:Depends} -> ${python3:Depends}.
  * New upstream release (LP: #1780752).
  * d/rules: Tidy test execution.
  * d/rules: Skip test 8 on arm64,armhf.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Jul 2018 11:40:26 +0100

openvswitch (2.9.0-0ubuntu1) bionic; urgency=medium

  * d/rules: Enable parallel builds for dh_auto_build target.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Feb 2018 18:11:14 +0000

openvswitch (2.9.0~git20180205.5a39582ca-0ubuntu1) bionic; urgency=medium

  * Snapshot from branch-2.9 (LP: #1735248, LP: #1686406, LP: #1709272):
    - d/p/dpif-kernel-gre-mtu-workaround.patch,
      d/p/dpif-netlink-rtnl-Use-65000-instead-of-65535-as-tunnel-MTU.patch,
      d/p/ovs-netdev-dpdk-17.11-upgrade.patch: Drop, included upstream.
  * d/control: Switch BD's to python{3}-all-dev to enable json native
    extensions (LP: #1672522).
  * d/control,rules,openvswitch-doc.*: Add documentation (LP: #965283).
  * Misc tidy of packaging:
    - d/*: wrap-and-sort -bast.
    - d/control: Priority optional->extra.
    - d/openvswitch-doc.doc-base: Update Section.
    - d/copyright: Pick machine formatted version from Debian
      (thanks Thomas).
    - d/control: Add missing depends on lsb-release.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Feb 2018 17:12:07 +0000

openvswitch (2.8.1+dfsg1-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Set team+openstack@tracker.debian.org as maintainer email.
  * Create folders before copying files into it, fixing FTBFS (Closes: #901112)

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jun 2018 07:32:58 +0000

openvswitch (2.8.1+dfsg1-6) unstable; urgency=medium

  * Re-install systemd units to start OVS (Closes: #743635, #766435, #858418,
    #870001, #884319, #823532, #857178, #865616).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jan 2018 09:33:58 +0100

openvswitch (2.8.1+dfsg1-5) unstable; urgency=medium

  * Removed deprecated openvswitch-ipsec (Closes: #887031).
  * Document /etc/network/interfaces (Closes: #860786).
  * Remove bfd decay tests: they are failing on armhf, probably because the
    platform is too slow.
  * Add SYSTEMCTL_SKIP_REDIRECT=yes in openvswitch-switch.init.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 09:20:12 +0100

openvswitch (2.8.1+dfsg1-4) unstable; urgency=medium

  * Remove tests broken in mips64el and mipsel (Closes: #880508, 880509).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Nov 2017 11:37:36 +0100

openvswitch (2.8.1+dfsg1-3) unstable; urgency=medium

  * Remove .service files until better (Closes: #880498).

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 20:36:15 +0000

openvswitch (2.8.1+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add tests_stp_Use_long_warps_instead_of_multiple_calls.patch, which
    according to Ben will fix some build failures.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 01:32:47 +0000

openvswitch (2.8.1+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #878249):
    - Fixes CVE-2017-9214 (Closes: #863228).
    - Fixes CVE-2017-14970 (Closes: #877543).
    - Fixes CVE-2017-9263 (Closes: #863655).
    - Fixes CVE-2017-9264 (Closes: #863661).
    - Fixes CVE-2017-9265 (Closes: #863662).
  * Ran wrap-and-sort -bast.
  * Add libopenvswitch and libopenvswitch-dev.
  * Updated VCS URLs.
  * Switched to debhelper 10.
  * Added openstack-pkg-tools as build-depends.
  * Standards-Version is now 4.1.1.
  * Added dh-python as build-depends.
  * Added 2 debian/*.service files (Closes: #878757, #771507).
  * Added Python 3 support.
  * Added debian/README.source explaining why we're marking the version as
    +dfsg1 (ie: because we remove the upstream debian folder).
  * Removed patches.
  * Patch upstream Makefile.am to not include debian/automake.mk.
  * Remove openvswitch-test package.
  * Simplify packaging by installing all binaries in openvswitch-common.
  * Removed build-depends on dh-autoreconf, satisfied by debhelper >= 10.
  * Fixed build-depends on automake.
  * Fixed runtime depends on openvswitch-common in openvswitch-pki.
  * Removed openvswitch-test package, now provided by openvswitch-common.
  * Switch debian/copyright to parsable format.
  * Add export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow in debian/rules.
  * Removed ovn-docker package, now provided by openvswitch-common.
  * Manually correctly installs ovs-vsctl-bashcomp.bash.
  * Add myself as uploader.
  * Added a watch file.
  * Init scripts now sourcing LSB functions.
  * Change priority from extra to optional, as per policy 4.0.1.
  * Remove ovn-common package, now provided by openvswitch-common.
  * Change Maintainer: to be Debian OpenStack.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Oct 2017 22:06:41 +0200

openvswitch (2.8.1-0ubuntu3) bionic; urgency=medium

  * Updates to systemd configuration:
    - Move to distinct units for ovsdb-server and ovs-vswitchd.
  * Drop obsolete upstart configuration file.
  * Bump nofiles to 1048576 for ovs daemons (LP: #1737866).
  * d/control: Bump minimum debhelper version to 10, drop BD on
    dh-systemd.
  * d/p/dpif-kernel-gre-mtu-workaround.patch,
    d/p/dpif-netlink-rtnl-Use-65000-instead-of-65535-as-tunnel-MTU.patch:
    Cherry pick in-flight fixes for workaround to correctly set MTU
    of GRE devices via netlink (LP: #1742505).

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2018 15:26:41 +0200

openvswitch (2.8.1-0ubuntu2) bionic; urgency=medium

  * Adapt changes in DPDK 17.11 (LP: #1733325)
    - d/p/ovs-netdev-dpdk-17.11-upgrade.patch
    - d/rules: non x86 openvswitch-dpdk builds now need libnuma and pcap as
      build depends as well.
    - d/rules: dpdk dropped xen support, drop build dependency

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 20 Nov 2017 11:10:41 +0100

openvswitch (2.8.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release (LP: #1724622).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Oct 2017 10:01:32 +0000

openvswitch (2.8.0-0ubuntu2) artful; urgency=medium

  [ James Page ]
  * d/p/s390x-stp-timeout.patch: Increase STP sync wait time for
    'STP - flush the fdb and mdb when topology changed' test as this
    reliable takes longer than 36 seconds on s390x (LP: #1722799).

  [ Frode Nordahl ]
  * d/openvswitch-switch.postinst: Do not modify
    /etc/default/openvswitch-switch as this file is now managed
    as a configuration file by dpkg (LP: #1723480).

 -- James Page <james.page@ubuntu.com>  Thu, 19 Oct 2017 11:04:37 +0100

openvswitch (2.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Sep 2017 15:17:49 +0100

openvswitch (2.8.0~git20170829.c6711707d-0ubuntu1) artful; urgency=medium

  * New snapshot from branch-2.8.

 -- James Page <james.page@ubuntu.com>  Tue, 29 Aug 2017 09:40:59 +0100

openvswitch (2.8.0~git20170809.7aa47a19d-0ubuntu1) artful; urgency=medium

  * New snapshot from branch-2.8.
  * d/p/*: Drop, no longer required.
  * d/openvswitch-switch.logrotate: Use sharedscripts, ignore return code
    from ovs-appctl.
  * d/control: Bump minimum dpdk version to 17.05.1.
  * d/control: Add pkg-config to BD's.
  * d/rules: Skip failing tests for DPDK builds.
  * d/rules: Re-enable testing on s390x.

 -- James Page <james.page@ubuntu.com>  Thu, 10 Aug 2017 15:31:03 +0100

openvswitch (2.7.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jul 2017 10:27:11 +0100

openvswitch (2.7.0-0ubuntu3) artful; urgency=medium

  * debian/test/vanilla, debian/test/dpdk: stop openvswitch-testcontroller
    as it conflicts with tests for mininet >=2.2.2-1 (LP: #1698808).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 19 Jun 2017 14:59:32 +0200

openvswitch (2.7.0-0ubuntu2) artful; urgency=medium

  * d/control, d/rules: Enable DPDK support on Arm (LP: #1691659)
  * d/rules: Fix FTBFS if multiple python interpreters are
    installed (LP: #1691658)
  * d/p/ovs-dev-v3-netdev-dpdk-round-up-mbuf_size-to-cache_line_size.patch:
    round up mbuf_size to cache_line_size to fix some DPDK PMDs e.g. vNIC
    thunderx PMD (LP: #1694221)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 May 2017 15:45:13 +0200

openvswitch (2.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - d/openvswitch-ipsec.*,control,ovs-monitor-ipsec: Drop GRE-over-ipsec
      inline with upstream.
    - d/control: Limit ovn-docker to linux-any.
    - d/ovn-common.*: Add new ovndb-servers OCF resource and link into
      install as required.
    - d/openvswitch-common.docs: Drop, no docs to ship.
    - d/automake.mk: Tweak for above changes.
    - d/rules: Skip armhf testing until http://pad.lv/1686406 is resolved.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 14:49:36 +0100

openvswitch (2.6.2~pre+git20161223-3) unstable; urgency=medium

  * Avoid installing ovs-vswitchd.conf.db.5 manpage into directory for
    language "db".  Closes: #850631.  Thanks to Michael Stapelberg
    <stapelberg@debian.org> for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 09 Jan 2017 14:46:48 -0800

openvswitch (2.6.2~pre+git20161223-2) unstable; urgency=medium

  * Apply upstream patches:
    - c8ad60e debian: Also restrict ovn-docker package to Linux.
    - 90c25ef tests: Fix race in "ovn -- vtep: 3 HVs, 1 VIFs/HV, 1 GW, 1 LS".
    - 6fe9954 rconn: Avoid abort for ill-behaved remote.
  * Builds fine with OpenSSL 1.1.  Closes: #828478.
  * Upstream bug fixes from this and previous upload fix endianness issues.
    Closes: #840770.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 23 Dec 2016 16:35:11 -0800

openvswitch (2.6.2~pre+git20161223-1) unstable; urgency=medium

  * Bug fixes from upstream Git repository.
  * Fix arch-independent build.  Thanks to Santiago Vila <sanvila@unex.es>
    and nickcooper-zhangtonghao <nic@opencloud.tech> for the fix.  Closes:
    #831924.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 23 Dec 2016 09:43:56 -0800

openvswitch (2.6.1+git20161123-1) unstable; urgency=medium

  * New snapshot from the upstream Git repository.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 23 Nov 2016 15:19:43 -0800

openvswitch (2.6.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Fedora packaging:
     * A package upgrade does not automatically restart OVS service.
   - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 01 Nov 2016 15:40:17 -0700

openvswitch (2.6.1-0ubuntu5) zesty; urgency=medium

  * Enable openvswitch-switch-dpdk for ppc64el (LP: #1663206)
    - debian/control: add ppc64el architecture to package and build dependency
    - debian/rules: build and test openvswitch-switch-dpdk for ppc64el

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 09 Feb 2017 11:02:44 +0100

openvswitch (2.6.1-0ubuntu4) zesty; urgency=medium

  * No change rebuild against refreshed DPDK 16.11-1ubuntu1

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 31 Jan 2017 09:42:34 +0100

openvswitch (2.6.1-0ubuntu3) zesty; urgency=medium

  * No change rebuild against DPDK 16.11 (was DPDK stuck in NEW before)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2017 14:02:45 +0100

openvswitch (2.6.1-0ubuntu2) zesty; urgency=medium

  * No change rebuild against DPDK 16.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2017 12:26:31 +0100

openvswitch (2.6.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release (LP: #1641956).
  * d/openvswitch-switch.openvswitch-nonetwork.service: Update Unit
    definition to ensure that openvswitch starts prior to configuration
    of any network interfaces (LP: #1448254).  Thanks to Mark Dunn for
    this fix.

 -- James Page <james.page@ubuntu.com>  Tue, 15 Nov 2016 14:15:06 +0000

openvswitch (2.6.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - First supported release of OVN.  See ovn-architecture(7) for more
     details.
   - ovsdb-server:
     * New "monitor_cond" "monitor_cond_update" and "update2" extensions to
       RFC 7047.
   - OpenFlow:
     * OpenFlow 1.3+ bundles are now supported for group mods as well as
       flow mods and port mods.  Both 'atomic' and 'ordered' bundle
       flags are supported for group mods as well as flow mods.
     * OpenFlow 1.1+ OFPT_QUEUE_GET_CONFIG_REQUEST now supports OFPP_ANY.
     * OpenFlow 1.4+ OFPMP_QUEUE_DESC is now supported.
     * OpenFlow 1.4+ OFPT_TABLE_STATUS is now supported.
     * New property-based packet-in message format NXT_PACKET_IN2 with support
       for arbitrary user-provided data and for serializing flow table
       traversal into a continuation for later resumption.
     * New extension message NXT_SET_ASYNC_CONFIG2 to allow OpenFlow 1.4-like
       control over asynchronous messages in earlier versions of OpenFlow.
     * OpenFlow 1.3 Extension 230, adding OpenFlow Bundles support, is
       now implemented.  Only flow mod and port mod messages are supported
       in bundles.
     * New OpenFlow extension NXM_NX_MPLS_TTL to provide access to MPLS TTL.
     * New output option, output(port=N,max_len=M), to allow truncating a
       packet to size M bytes when outputting to port N.
     * New command OFPGC_ADD_OR_MOD for OFPT_GROUP_MOD message that adds a
       new group or modifies an existing groups
     * The optional OpenFlow packet buffering feature is deprecated in
       this release, and will be removed in the next OVS release
       (2.7).  After the change OVS always sends the 'buffer_id' as
       0xffffffff in packet-in messages and will send an error
       response if any other value of this field is included in
       packet-out and flow mod sent by a controller.  Controllers are
       already expected to work properly in cases where the switch can
       not buffer packets, so this change should not affect existing
       users.
     * New OpenFlow extension NXT_CT_FLUSH_ZONE to flush conntrack zones.
   - Improved OpenFlow version compatibility for actions:
     * New OpenFlow extension to support the "group" action in OpenFlow 1.0.
     * OpenFlow 1.0 "enqueue" action now properly translated to OpenFlow 1.1+.
     * OpenFlow 1.1 "mod_nw_ecn" and OpenFlow 1.1+ "mod_nw_ttl" actions now
       properly translated to OpenFlow 1.0.
   - ovs-ofctl:
     * queue-get-config command now allows a queue ID to be specified.
     * '--bundle' option can now be used with OpenFlow 1.3 and with group mods.
     * New "bundle" command allows executing a mixture of flow and group mods
       as a single atomic transaction.
     * New option "--color" to produce colorized output for some commands.
     * New option '--may-create' to use OFPGC_ADD_OR_MOD in mod-group command.
   - IPFIX:
     * New "sampling_port" option for "sample" action to allow sampling
       ingress and egress tunnel metadata with IPFIX.
     * New ovs-ofctl commands "dump-ipfix-bridge" and "dump-ipfix-flow" to
       dump bridge IPFIX statistics and flow based IPFIX statistics.
     * New setting other-config:virtual_obs_id to add an arbitrary string
       to IPFIX records.
   - Linux:
     * New QoS type "linux-noop" that prevents Open vSwitch from trying to
       manage QoS for a given port (useful when other software manages QoS).
   - DPDK:
     * New option "n_rxq" for PMD interfaces.
       Old 'other_config:n-dpdk-rxqs' is no longer supported.
       Not supported by vHost interfaces. For them number of rx and tx queues
       is applied from connected virtio device.
     * New 'other_config:pmd-rxq-affinity' field for PMD interfaces, that
       allows to pin port's rx queues to desired cores.
     * New appctl command 'dpif-netdev/pmd-rxq-show' to check the port/rxq
       assignment.
     * Type of log messages from PMD threads changed from INFO to DBG.
     * QoS functionality with sample egress-policer implementation.
     * The mechanism for configuring DPDK has changed to use database
     * Sensible defaults have been introduced for many of the required
       configuration options
     * DB entries have been added for many of the DPDK EAL command line
       arguments. Additional arguments can be passed via the dpdk-extra
       entry.
     * Add ingress policing functionality.
     * PMD threads servicing vHost User ports can now come from the NUMA
       node that device memory is located on if CONFIG_RTE_LIBRTE_VHOST_NUMA
       is enabled in DPDK.
     * Basic connection tracking for the userspace datapath (no ALG,
       fragmentation or NAT support yet)
     * Support for DPDK 16.07
     * Optional support for DPDK pdump enabled.
     * Jumbo frame support
     * Remove dpdkvhostcuse port type.
     * OVS client mode for vHost and vHost reconnect (Requires QEMU 2.7)
   - Increase number of registers to 16.
   - ovs-benchmark: This utility has been removed due to lack of use and
     bitrot.
   - ovs-appctl:
     * New "vlog/close" command.
   - ovs-ctl:
     * Added the ability to selectively start the forwarding and database
       functions (ovs-vswitchd and ovsdb-server, respectively).
   - ovsdb-server:
     * Remove max number of sessions limit, to enable connection scaling
       testing.
   - python:
     * Added support for Python 3.4+ in addition to existing support
       for 2.7+.
   - SELinux:
     * Introduced SELinux policy package.
   - Datapath Linux kernel compatibility.
     * Dropped support for kernel older than 3.10.
     * Removed VLAN splinters feature.
     * Support for truncate action.
     * Datapath supports kernel upto 4.6.
   - Tunnels:
     * Flow based tunnel match and action can be used for IPv6 address using
       tun_ipv6_src, tun_ipv6_dst fields.
     * Added support for IPv6 tunnels, for details checkout FAQ.
     * Deprecated support for IPsec tunnels ports.
   - A wrapper script, 'ovs-tcpdump', to easily port-mirror an OVS port and
     watch with tcpdump
   - Introduce --no-self-confinement flag that allows daemons to work with
     sockets outside their run directory.
   - ovs-pki: Changed message digest algorithm from SHA-1 to SHA-512 because
     SHA-1 is no longer secure and some operating systems have started to
     disable it in OpenSSL.
   - Add 'mtu_request' column to the Interface table. It can be used to
     configure the MTU of non-internal ports.

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 27 Sep 2016 10:13:47 -0700

openvswitch (2.6.0-0ubuntu2) yakkety; urgency=medium

  * Updates to cover the new way Openvswitch is configurging DPDK (LP: #1625542)
    - d/openvswitch-switch.default
    - d/openvswitch-switch-dpdk.README.Debian
    - drop d/p/ovs-ctl-dpdk.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Oct 2016 11:07:08 +0200

openvswitch (2.6.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - d/rules: Update SKIP_TEST numbers inline with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Sep 2016 13:09:26 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu4) yakkety; urgency=medium

  * d/rules: Correct SKIP_TEST 1149 -> 1150 (racey on arm64).

 -- James Page <james.page@ubuntu.com>  Thu, 15 Sep 2016 09:18:59 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu3) yakkety; urgency=medium

  * d/rules: Tidy SKIP_TEST list, document in rules file actual test
    failures as test numbers change between releases.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Sep 2016 18:02:24 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu2) yakkety; urgency=medium

  * d/rules: Re-enable previously disabled SKIP_TEST list; builds under load
    still exhibit races in a number of tests.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2016 14:37:51 +0100

openvswitch (2.6.0~git20160912.dc61b4e-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from branch-2.6 (LP: #1609846).
  * d/rules: Skip test 1866 on ppc64el.
  * d/rules: Re-enable all tests across other archs.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Sep 2016 22:42:46 +0100

openvswitch (2.6.0~git20160822.2cff273-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from branch-2.6.
  * d/rules: Switch to branch-2.6 now its been cut upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Aug 2016 11:48:27 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu3) yakkety; urgency=medium

  * Revert DPDK support on arm64.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Aug 2016 08:25:57 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu2) yakkety; urgency=medium

  * Enable dpdk builds for arm64.
  * Generalize blacklist of racey/failing unit tests.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Aug 2016 21:59:17 +0100

openvswitch (2.6.0~git20160810.7f5f2bd-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for 2.6.0 release goal.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.
  * d/openvswitch-common.install: Drop ovs-benchmark tool, removed upstream
    due to lack of use and maintenance.
  * d/control,ovn-controller-vtep.*: Add ovn-controller-vtep package.
  * d/openvswitch-switch.install: Add ovs-tcpdump binary and manpage.
  * Add support for Python 3:
    - d/control: Drop surplus Python 2 BD's, add BD's for Python 3.
    - d/control: Add missing dependency on python-six.
    - d/rules,control: Add python3-openvswitch package.
  * d/rules: Skip racey/failing tests until resolved upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Aug 2016 17:53:28 +0100

openvswitch (2.5.1~pre+git20160626-2) unstable; urgency=medium

  * debian/control: Change build dependency from python-twisted-conch to
    python-twisted, for two reasons.  First, the former is just a
    documentation package and is going to be removed.  Second, the former
    depends on python-crypto, which according to buildd.debian.org is
    uninstallable except on i386 due to a long chain of dependencies.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 01 Jul 2016 15:05:32 -0700

openvswitch (2.5.1~pre+git20160626-1) unstable; urgency=low

  * New upstream release.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 26 Jun 2016 15:13:56 -0700

openvswitch (2.5.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Dropped support for Python older than version 2.7.  As a consequence,
     using Open vSwitch 2.5 or later on XenServer 6.5 or earlier (which
     have Python 2.4) requires first installing Python 2.7.
   - OpenFlow:
     * Group chaining (where one OpenFlow group triggers another) is
       now supported.
     * OpenFlow 1.4+ "importance" is now considered for flow eviction.
     * OpenFlow 1.4+ OFPTC_EVICTION is now implemented.
     * OpenFlow 1.4+ OFPTC_VACANCY_EVENTS is now implemented.
     * OpenFlow 1.4+ OFPMP_TABLE_DESC is now implemented.
     * Allow modifying the ICMPv4/ICMPv6 type and code fields.
     * OpenFlow 1.4+ OFPT_SET_ASYNC_CONFIG and OFPT_GET_ASYNC_CONFIG are
       now implemented.
   - ovs-ofctl:
     * New "out_group" keyword for OpenFlow 1.1+ matching on output group.
   - Tunnels:
     * Geneve tunnels can now match and set options and the OAM bit.
     * The nonstandard GRE64 tunnel extension has been dropped.
   - Support Multicast Listener Discovery (MLDv1 and MLDv2).
   - Add 'symmetric_l3l4' and 'symmetric_l3l4+udp' hash functions.
   - sFlow agent now reports tunnel and MPLS structures.
   - New 'check-system-userspace', 'check-kmod' and 'check-kernel' Makefile
     targets to run a new system testsuite.  These tests can be run inside
     a Vagrant box.  See INSTALL.md for details
   - Mark --syslog-target argument as deprecated.  It will be removed in
     the next OVS release.
   - Added --user option to all daemons
   - Add support for connection tracking through the new "ct" action
     and "ct_state"/"ct_zone"/"ct_mark"/"ct_label" match fields.  Only
     available on Linux kernels with the connection tracking module loaded.
   - Add experimental version of OVN.  OVN, the Open Virtual Network, is a
     system to support virtual network abstraction.  OVN complements the
     existing capabilities of OVS to add native support for virtual network
     abstractions, such as virtual L2 and L3 overlays and security groups.
   - RHEL packaging:
     * DPDK ports may now be created via network scripts (see README.RHEL).
   - DPDK:
     * Requires DPDK 2.2
     * Added multiqueue support to vhost-user
     * Note: QEMU 2.5+ required for multiqueue support
   - SELinux:
     * Introduced SELinux policy package.

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 26 Feb 2016 17:23:21 -0700

openvswitch (2.5.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 10 Mar 2016 14:09:14 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu3) xenial; urgency=medium

  * d/rules,control,openvswitch-switch-dpdk.*: Install DPDK enabled binaries
    into a new package (replacing the one from src:openvswitch-dpdk) rather
    than shipping alongside the vanilla binaries (LP: #1550254).
  * d/openvswitch-switch.*: Tidy up alternatives related to ovs-vswitchd-dpdk
    in 2.5.0~git20160219.522aca6-0ubuntu2.
  * d/tests/*: Refactor, exercise vanilla and dpdk enabled binaries where
    possible.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Feb 2016 12:39:27 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu2) xenial; urgency=medium

  * [9c970b06] d/rules,*.manpages,*.install: Prepare for dual build.
  * [f7dff3e7] DPDK enablement (LP: #1492186):
    - d/p/system-dpdk.patch: Pick patch from openvswitch-dpdk to
      support use with libdpdk-dev.
    - d/control: Add DPDK dependencies for supported archs.
    - d/rules: Build DPDK enabled binaries for supported archs.
    - d/openvswitch-switch.p*: Install ovs-vswitch-dpdk binary as an
      alternative.
    - d/openvswitch-switch.README.Debian: Let users know how to use
      the DPDK binary.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Feb 2016 21:44:41 +0000

openvswitch (2.5.0~git20160219.522aca6-0ubuntu1) xenial; urgency=medium

  * [7c4c30b] Imported upstream snapshot 2.5.0~git20160219.522aca6.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Feb 2016 13:51:49 +0000

openvswitch (2.5.0~git20160129.46a88d9-0ubuntu1) xenial; urgency=medium

  * [099b995] d/rules: Switch to 2.5 branch for snapshots.
  * [aee4d60] Imported upstream snapshot 2.5.0~git20160129.46a88d9
  * [b5d8f41] d/p/*: Refresh patches.
  * [97855b9] d/control,ovn*: Sync packaging changes from upstream for
              experimental OVN support.
  * [5c2ef1d] d/*.init: Tidy up init.d-script-does-not-source-init-functions
              lint.
  * [f3434f7] d/control: Add dh-python to BD's.
  * [81a7cca] d/control: Fixup breaks/replaces for upgrades.
  * [c19cf60] d/*.init Ensure _SYSTEMCTL_SKIP_REDIRECT is set prior to
              inclusion of init-functions.
  * [a7d5430] d/openvswitch-switch.openvswitch-nonetwork.service: Pass
              OVS_CTL_OPTS instead of OPTIONS to ovs-ctl on startup.
  * [d19098f] d/p/ovs-ctl-dpdk.patch: Sort out tab/space formatting.
  * [9e3989e] d/control: Add libcap-ng-dev to BD's to support running
              ovs daemons as non-root users.

 -- James Page <james.page@ubuntu.com>  Fri, 29 Jan 2016 11:44:50 +0100

openvswitch (2.4.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Flow table modifications are now atomic, meaning that each packet
     now sees a coherent version of the OpenFlow pipeline.  For
     example, if a controller removes all flows with a single OpenFlow
     "flow_mod", no packet sees an intermediate version of the OpenFlow
     pipeline where only some of the flows have been deleted.
   - Added support for SFQ, FQ_CoDel and CoDel qdiscs.
   - Add bash command-line completion support for ovs-vsctl Please check
     utilities/ovs-command-compgen.INSTALL.md for how to use.
   - The MAC learning feature now includes per-port fairness to mitigate
     MAC flooding attacks.
   - New support for a "conjunctive match" OpenFlow extension, which
     allows constructing OpenFlow matches of the form "field1 in
     {a,b,c...} AND field2 in {d,e,f...}" and generalizations.  For details,
     see documentation for the "conjunction" action in ovs-ofctl(8).
   - Add bash command-line completion support for ovs-appctl/ovs-dpctl/
     ovs-ofctl/ovsdb-tool commands.  Please check
     utilities/ovs-command-compgen.INSTALL.md for how to use.
   - The "learn" action supports a new flag "delete_learned" that causes
     the learned flows to be deleted when the flow with the "learn" action
     is deleted.
   - Basic support for the Geneve tunneling protocol. It is not yet
     possible to generate or match options. This is planned for a future
     release. The protocol is documented at
     http://tools.ietf.org/html/draft-gross-geneve-00
   - The OVS database now reports controller rate limiting statistics.
   - sflow now exports information about LACP-based bonds, port names, and
     OpenFlow port numbers, as well as datapath performance counters.
   - ovs-dpctl functionality is now available for datapaths integrated
     into ovs-vswitchd, via ovs-appctl.  Some existing ovs-appctl
     commands are now redundant and will be removed in a future
     release.  See ovs-vswitchd(8) for details.
   - OpenFlow:
     * OpenFlow 1.4 bundles are now supported for flow mods and port
       mods.  For flow mods, both 'atomic' and 'ordered' bundle flags
       are trivially supported, as all bundled messages are executed
       in the order they were added and all flow table modifications
       are now atomic to the datapath.  Port mods may not appear in
       atomic bundles, as port status modifications are not atomic.
     * IPv6 flow label and neighbor discovery fields are now modifiable.
     * OpenFlow 1.5 extended registers are now supported.
     * The OpenFlow 1.5 actset_output field is now supported.
     * OpenFlow 1.5 Copy-Field action is now supported.
     * OpenFlow 1.5 masked Set-Field action is now supported.
     * OpenFlow 1.3+ table features requests are now supported (read-only).
     * Nicira extension "move" actions may now be included in action sets.
     * "resubmit" actions may now be included in action sets.  The resubmit
       is executed last, and only if the action set has no "output" or "group"
       action.
     * OpenFlow 1.4+ flow "importance" is now maintained in the flow table.
     * A new Netronome extension to OpenFlow 1.5+ allows control over the
       fields hashed for OpenFlow select groups.  See "selection_method" and
       related options in ovs-ofctl(8) for details.
   - ovs-ofctl has a new '--bundle' option that makes the flow mod commands
     ('add-flow', 'add-flows', 'mod-flows', 'del-flows', and 'replace-flows')
     use an OpenFlow 1.4 bundle to operate the modifications as a single
     atomic transaction.  If any of the flow mods in a transaction fail, none
     of them are executed.  All flow mods in a bundle appear to datapath
     lookups simultaneously.
   - ovs-ofctl 'add-flow' and 'add-flows' commands now accept arbitrary flow
     mods as an input by allowing the flow specification to start with an
     explicit 'add', 'modify', 'modify_strict', 'delete', or 'delete_strict'
     keyword.  A missing keyword is treated as 'add', so this is fully
     backwards compatible.  With the new '--bundle' option all the flow mods
     are executed as a single atomic transaction using an OpenFlow 1.4 bundle.
   - ovs-pki: Changed message digest algorithm from MD5 to SHA-1 because
     MD5 is no longer secure and some operating systems have started to disable
     it in OpenSSL.
   - ovsdb-server: New OVSDB protocol extension allows inequality tests on
     "optional scalar" columns.  See ovsdb-server(1) for details.
   - ovs-vsctl now permits immutable columns in a new row to be modified in
     the same transaction that creates the row.
   - test-controller has been renamed ovs-testcontroller at request of users
     who find it useful for testing basic OpenFlow setups.  It is still not
     a necessary or desirable part of most Open vSwitch deployments.
   - Support for travis-ci.org based continuous integration builds has been
     added. Build failures are reported to build@openvswitch.org. See INSTALL.md
     file for additional details.
   - Support for the Rapid Spanning Tree Protocol (IEEE 802.1D-2004).
     The implementation has been tested successfully against the Ixia Automated
     Network Validation Library (ANVL).
   - Stats are no longer updated on fake bond interface.
   - Keep active bond slave selection across OVS restart.
   - A simple wrapper script, 'ovs-docker', to integrate OVS with Docker
     containers. If and when there is a native integration of Open vSwitch
     with Docker, the wrapper script will be retired.
   - Added support for DPDK Tunneling. VXLAN, GRE, and Geneve are supported
     protocols. This is generic tunneling mechanism for userspace datapath.
   - Support for multicast snooping (IGMPv1, IGMPv2 and IGMPv3)
   - Support for Linux kernels up to 4.0.x
   - The documentation now use the term 'destination' to mean one of syslog,
     console or file for vlog logging instead of the previously used term
     'facility'.
   - Support for VXLAN Group Policy extension
   - Initial support for the IETF Auto-Attach SPBM draft standard. This
     contains rudimentary support for the LLDP protocol as needed for
     Auto-Attach.
   - The default OpenFlow and OVSDB ports are now the IANA-assigned
     numbers.  OpenFlow is 6653 and OVSDB is 6640.
   - Support for DPDK vHost.
   - Support for outer UDP checksums in Geneve and VXLAN.
   - The kernel vports with dependencies are no longer part of the overall
     openvswitch.ko but built and loaded automatically as individual kernel
     modules (vport-*.ko).
   - Support for STT tunneling.
   - Support to configure method (--syslog-method argument) that determines
     how daemons will talk with syslog.
   - Support for "ovs-appctl vlog/list-pattern" command that lets to query
     logging message format for each destination.
   - GRE64 and ipsec_gre64 tunnel protocol is deprecated and will be removed
     from OVS v2.5 release.
   * The openvswitch-testcontroller package is new.  It reintroduces the
     simple OpenFlow controller that was packaged with Open vSwitch prior to
     version 2.1, at request of users who find it useful for testing basic
     OpenFlow setups.  It is still not a necessary or desirable part of most
     Open vSwitch deployments.

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 20 Aug 2015 17:23:43 -0700

openvswitch (2.4.0-0ubuntu5) xenial; urgency=high

  * Skip tests on s390x, for the same reason as powerpc see 1483572.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Jan 2016 10:38:48 +0000

openvswitch (2.4.0-0ubuntu4) wily; urgency=medium

  [ Arata Notsu ]
  * Fix ifupdown hooks in cases where BRIDGE is not defined. (LP: #1314887)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 15 Oct 2015 15:03:34 -0500

openvswitch (2.4.0-0ubuntu3) wily; urgency=medium

  [ Brian Turek ]
  * Add ifupdown hooks for upstart script. (LP: #1314887)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 14 Oct 2015 13:51:13 -0500

openvswitch (2.4.0-0ubuntu2) wily; urgency=medium

  * Install ovs-vswitchd binary using alternatives for all architectures
    to support use of alternative DPDK enabled binaries (LP: #1499759):
    - d/rules: Move ovs-vswitchd to /usr/lib/openvswitch-switch.
    - d/openvswitch-switch.{postinst,prerm}: Install binary using
      alternatives.
    - d/openvswitch-switch.default: Add some example DPDK options
      (disabled by default).
    - d/p/ovs-ctl-dpdk.patch: Splice in DPDK options to ovs-vswitchd
      startup arguments if provided.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 16:29:30 +0100

openvswitch (2.4.0-0ubuntu1) wily; urgency=medium

  * Update to 2.4.0 release from previous snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Sep 2015 11:53:49 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu2) wily; urgency=medium

  * d/rules: Skip unit tests on powerpc - see https://pad.lv/1483572 for
    full details.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:26:13 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu1) wily; urgency=medium

  * New upstream snapshot from 2.4 branch:
    - d/*: Align any relevant packaging changes with upstream.
  * d/*: wrap-and-sort.
  * d/openvswitch-{common,vswitch}.install: Correct install location for
    bash completion files.
  * d/tests/openflow.py: Explicitly use ovs-testcontroller as provided
    by 2.4.0 release.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Aug 2015 11:35:15 +0100

openvswitch (2.3.2-0ubuntu3) wily; urgency=medium

  * d/tests/openflow.py: Use net.addLink to add links between switches and
    hosts to ensure that they get cleanup up after use, fixing autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jul 2015 12:48:25 +0100

openvswitch (2.3.2-0ubuntu2) wily; urgency=medium

  * d/p/rules: Skip test 717 due to failure on powerpc - see
    http://pad.lv/1472202 for full details.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jul 2015 11:15:12 +0100

openvswitch (2.3.2-0ubuntu1) wily; urgency=medium

  * New upstream point release.
  * Refresh all patches.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:34:02 +0100

openvswitch (2.3.1-0ubuntu1) vivid; urgency=low

   * New upstream release.
   * d/rules,*.manpages: Rewrite to use more standard debhelper sequencing.
   * d/automake.mk,openvswitch-switch.default,rules:
     Rename openvswitch-switch.template -> openvswitch-switch.default.
   * Enable systemd support:
     - d/openvswitch-switch.service,
       d/openvswitch-switch.openvswitch-nonetwork.service:
       Systemd unit files, derived from RHEL versions.
     - d/control: Add BD on dh-systemd.
     - d/rules: Enable systemd helper, explicit no-start install of
       openvswitch-nonetwork unit.
     - d/ifupdown.sh: Tweak to support use with systemd ifinstalled.
   * d/control: Bumped Standards-Version 3.9.6, no changes.
   * d/tests/common: Drop module reload checks, as we always use the
     in-tree kernel module now.
   * d/python-openvswitch.*,openvswitch-test.*,automake.mk:
     Tidy up install of Python components.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Dec 2014 12:36:25 +0000

openvswitch (2.3.0+git20140819-4) unstable; urgency=high

  * Apply patch to fix a buffer overflow for crafted MPLS packets.  Fixes
    CVE-2016-2074.  Thanks to the upstream reporters of this
    vulnerability, Kashyap Thimmaraju
    <kashyap.thimmaraju@sec.t-labs.tu-berlin.de> and Bhargava Shastry
    <bshastry@sec.t-labs.tu-berlin.de>.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 28 Mar 2016 17:05:38 -0700

openvswitch (2.3.0+git20140819-3) unstable; urgency=medium

  * Don't depened on $RUNLEVEL at startup to create bridges.
    This should allow Open vSwitch configuration through
    /etc/network/interfaces where $RUNLEVEL is not set.
    This change is upstream commit 238324bd73b031635
    ("debian: Don't depened on $RUNLEVEL at startup to create bridges.")
    Closes: #771863
  *

 -- Simon Horman <horms@debian.org>  Fri, 19 Dec 2014 10:54:08 +0900

openvswitch (2.3.0+git20140819-2ubuntu2) vivid; urgency=medium

  * Resolve DEP-8 test failures:
    - d/tests/openflow.py: Explicitly configure switches to use
      OpenFlow 1.0 protocol.
    - d/tests/control: Version dependency on mininet >= 2.2.0~
      to support specification of protocol version.
  * d/tests/openflow.py: format to flake8 standard.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Nov 2014 14:41:55 +0000

openvswitch (2.3.0+git20140819-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control,tests: Add autopkg tests.
    - d/control,openvswitch-testcontroller*: Add binary package for
      test controller to support use with mininet.
    - d/rules,*.upstart: Add upstart configurations for openvswitch-switch.
    - d/p/xcp-interface-reconfigure.patch: Add support for Debian
      packaged xcp-xapi if found.
    - d/rules: Ensure dh_autoreconf_clean is called.
    - d/rules: Add helper for generating snapshot from upstream git repo.
    - d/control,compat: Bump debhelper compat level to 9.
    - d/control: Bump Standards-Version to 3.9.5, no changes.
    - d/control: Add alternative dependency - kmod | module-init-tools.
  * d/control: Add missing ${shlibs:Depends} to openvswitch-testcontroller.
  * d/tests/*: Drop dkms and module assistant tests now that we no longer
    ship the datapath kernel module.
  * d/rules: Align snapshot creation to new repo location and 2.3 branch.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Nov 2014 14:03:17 +0000

openvswitch (2.3.0+git20140819-2) unstable; urgency=low

  * debian/rules: Rerun checks on tests that fail the first time.  Skip
    tests 711, 712, and 713 that seem to fail due to races on buildds.
  * debian/patches/cfm-avoid-long-delay: Upstream patch to avoid
    test failures in CFM tests due to "long delay" log messages at WARN level.
  * debian/patches/ovs-appctl-log-options.patch,
    debian/patches/disable-poll-loop-logging-for-long-output.patch:
    Upstream patches to avoid test failures in tests that generate a ton
    of output.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 20 Aug 2014 08:31:11 -0700

openvswitch (2.3.0+git20140819-1) unstable; urgency=low

  * New upstream release:
   - OpenFlow 1.1, 1.2, and 1.3 are now enabled by default in
     ovs-vswitchd.
   - Linux kernel datapath now has an exact match cache optimizing the
     flow matching process.
   - Datapath flows now have partially wildcarded tranport port field
     matches.  This reduces userspace upcalls, but increases the
     number of different masks in the datapath.  The kernel datapath
     exact match cache removes the overhead of matching the incoming
     packets with the larger number of masks, but when paired with an
     older kernel module, some workloads may perform worse with the
     new userspace.
  * Removed datapath packages because Linux 3.16 has adequate built-in
    support.  Closes: #740983.
    - debian/control: Remove datapath package references.  Add build
      dependency on dh-autoreconf.
    - debian/rules: Don't build datapath packages.
    - debian/openvswitch-datapath-*: Removed.
    - debian/control.modules.in: Removed.
    - debian/dkms.conf.in: Removed.
    - debian/rules.modules: Removed.
    - debian/openvswitch-switch.README.Debian: Removed references to kernel
      packages.
    - debian/openvswitch-switch.init: Removed references to kernel packages.
    - debian/automake.mk: Remov references to deleted files.
    - debian/rules: Adopt use of dh-autoreconf.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 19 Aug 2014 08:19:21 -0700

openvswitch (2.3.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - OpenFlow 1.1, 1.2, and 1.3 are now enabled by default in
     ovs-vswitchd.
   - Linux kernel datapath now has an exact match cache optimizing the
     flow matching process.
   - Datapath flows now have partially wildcarded tranport port field
     matches.  This reduces userspace upcalls, but increases the
     number of different masks in the datapath.  The kernel datapath
     exact match cache removes the overhead of matching the incoming
     packets with the larger number of masks, but when paired with an
     older kernel module, some workloads may perform worse with the
     new userspace.

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 14 Aug 2014 11:03:32 -0700

openvswitch (2.2.0-1) unstable; urgency=low

   [ Open vSwitch team ]
   * New upstream version
   - Internal ports are no longer brought up by default, because it
     should be an administrator task to bring up devices as they are
     configured properly.
   - ovs-vsctl now reports when ovs-vswitchd fails to create a new port or
     bridge.
   - The "ovsdbmonitor" graphical tool has been removed, because it was
     poorly maintained and not widely used.
   - New "check-ryu" Makefile target for running Ryu tests for OpenFlow
     controllers against Open vSwitch.  See INSTALL for details.
   - Added IPFIX support for SCTP flows and templates for ICMPv4/v6 flows.
   - Upon the receipt of a SIGHUP signal, ovs-vswitchd no longer reopens its
     log file (it will terminate instead). Please use 'ovs-appctl vlog/reopen'
     instead.
   - Support for Linux kernels up to 3.14. From Kernel 3.12 onwards OVS uses
     tunnel API for GRE and VXLAN.
   - Added experimental DPDK support.
   - Added support for custom vlog patterns in Python

 -- Open vSwitch team <dev@openvswitch.org>  Wed, 19 Mar 2014 16:08:38 -0700

openvswitch (2.1.3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * d/control: Drop hardening-wrapper from build Depends.
  * d/compat,control: Bump debhelper compat level to 9.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Aug 2014 09:17:45 +0100

openvswitch (2.1.2-0ubuntu3) utopic; urgency=medium

  * Ensure test-controller is built on all architectures:
    - d/control: Introduce new openvswitch-testcontroller package.
    - d/{openvswitch-testcontroller,openvswitch-test}.{install,manpages}:
      Move test-controller binary to new testcontroller package.
    - d/tests/control: Use openvswitch-testcontroller instead of
      openvswitch-test.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Jun 2014 13:02:01 +0100

openvswitch (2.1.2-0ubuntu2) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:41:42 +0100

openvswitch (2.1.2-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - d/*: Resync packaging with upstream:
      + Drop openvswitch-{controller,pki} and ovsdbmonitor packages.
      + Drop openvswitch-pki targets from automake.mk.
      + Add openvswitch-vtep package.
    - d/tests/control,common: Drop use of openvswitch-controller in
      preference of openvswitch-test.
    - d/openvswitch-test.{install,manpages}: Provide test-controller
      for continued use by mininet for ovs testing.

 -- James Page <james.page@ubuntu.com>  Mon, 19 May 2014 14:05:29 +0100

openvswitch (2.1.0+git20140411-3) unstable; urgency=low

  * debian/rules: Disable some tests that tend to fail on Debian buildds
    due to race conditions.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 13 Jun 2014 06:07:31 -0700

openvswitch (2.1.0+git20140411-2) unstable; urgency=low

  * debian/openvswitch-switch.postinst: Add back mysteriously deleted
    "mkdir" line.  Closes: #744769.  Thanks to Joshua Powers for reporting
    this bug.
  * debian/rules: Try rechecking in serial any tests that fail in
    parallel, as an experiment to see whether this fixes remaining buildd
    test failures.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 14 Apr 2014 08:29:33 -0700

openvswitch (2.1.0+git20140411-1) unstable; urgency=low

  * New upstream release:
    - Removed ovsdbmonitor package.  Closes: #744136.
    - Fix misaligned data accesses that caused test failures.
  * tests/ofproto-macros.at: Disable scanning logs for WARN and ERR messages,
    as an experiment to see whether this fixes all the buildd test failures.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 11 Apr 2014 08:35:10 -0700

openvswitch (2.1.0+git20140325-1) unstable; urgency=low

  * New upstream release.
    - Included kernel module builds against Linux 3.11.  Closes: #732260.
    - Log rotation bug fixed.  Closes: #729304.
    - Bridge compatibility feature removed.  Closes: #680538, #681954.
    - Controller package removed.  Closes: #731133.
  * Shut down OVS after libvirt guests to allow those guests to remove
    their interfaces gracefully. Closes: #701760.  Reported by Ernesto
    Domato <edomat@gmail.com>.  Fix from Lukasz Szotek
    <szotman@gmail.com>.
  * debian/control: Depend on kmod instead of module-init-tools.  Closes:
    #733696.  Reported by md@Linux.IT (Marco d'Itri).

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 31 Mar 2014 09:31:10 -0700

openvswitch (2.0.1+git20140120-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:27 +0000

openvswitch (2.0.1+git20140120-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot:
    - d/p/0001-Add-check-for-latomic.patch: Dropped - included in snapshot.
  * d/p/fix-3.11-support.patch: Cherry pick fix for >= 3.11 GRE support
    from upstream VCS (LP: #1270649).
  * d/tests/dkms,ma: Gate test execution on <= 3.13 kernel.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2014 12:55:24 +0000

openvswitch (2.0.1+git20140106-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 17:32:42 +0000

openvswitch (2.0.0+git20131203-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
  * d/rules: Switch snapshot branch to branch-2.0.
  * Rework checks for -latomic:
    - d/p/0001-Add-check-for-latomic.patch: Add autoconf checks to see
      if -latomic is required when linking test-atomic.
    - d/p/atomic-test.patch: Dropped in preference to new patch.

 -- James Page <james.page@ubuntu.com>  Thu, 05 Dec 2013 10:08:20 +0000

openvswitch (2.0.0-0ubuntu3) trusty; urgency=low

  * d/rules,control: Switch to using dh-autoreconf for clean package builds.
  * d/p/kernel-3.12-support.patch: Add support for 3.12 kernel.
  * d/tests/control,kernel,common: Add kernel test to exercise in-tree
    openvswitch module, run openflow test against all module sources instead
    of standalone at the end of other tests.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2013 12:23:01 +0000

openvswitch (2.0.0-0ubuntu2) trusty; urgency=low

  * d/p/atomic-test.patch: Link atomic test with -latomic for powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Nov 2013 21:07:20 -0700

openvswitch (2.0.0-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - d/p/kernel-3.11-support.patch: Cherry picked fix from upstream VCS
      for 3.11 kernel support.
    - Drop all other patches, no longer required.
  * d/p/xcp-interface-reconfigure.patch: Detect and use packaged XCP XAPI
    interface-reconfigure hook if installed (LP: #1195053).

 -- James Page <james.page@ubuntu.com>  Mon, 28 Oct 2013 13:15:45 +0000

openvswitch (1.10.2-0ubuntu2) saucy; urgency=low

  * d/p/boot.patch: Re-execution of boot.sh to ensure that new files
    introduced via patches are included in the dkms and source packages
    (LP: #1229222).

 -- James Page <james.page@ubuntu.com>  Mon, 23 Sep 2013 15:50:06 +0100

openvswitch (1.10.2-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Sat, 07 Sep 2013 08:48:22 +0100

openvswitch (1.10.1+git20130823-0ubuntu3) saucy; urgency=low

  * d/openvswitch-switch.openvswitch-force-reload-kmod.upstart: Deal with
    instances where openvswitch-switch is not already running, use
    modprobe -r instead of rmmod to remove kernel modules.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Aug 2013 13:32:38 +0100

openvswitch (1.10.1+git20130823-0ubuntu2) saucy; urgency=low

  * Fully support transitions from openvswitch module in 3.11 kernel to
    DKMS module:
    - d/openvswitch-switch.openvswitch-force-reload-mod.upstart: Drop the
      gre module when force reloading to make transitions from native kernel
      module to dkms module work.
    - d/NEWS: Drop information about DKMS/kernel compatibility with GRE
      tunnels.

 -- James Page <james.page@ubuntu.com>  Sat, 24 Aug 2013 09:41:02 +0100

openvswitch (1.10.1+git20130823-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    - d/p/*.patch: Rebase on 1.10 branch with upstream submitted fixes
      for Linux 3.11 kernel compatibility (LP: #1213879).
    - d/NEWS: Add note about GRE tunnel support in the Linux 3.11 native
      kernel module with advice on use of -dkms package in this configuration.
  * Add Upstart configuration for openvswitch-switch (LP: #1084028):
    - d/openvswitch-switch.upstart: Add upstart configuration to support
      use during early boot.
    - d/rules,openvswitch-switch.openvswitch-force-reload-mod.upstart: Add
      helper to replace 'service openvswitch-switch force-reload-kmod'.
    - d/openvswitch-switch.preinst: Stop versions earlier than this version
      prior to install due to switch to upstart configuration.
    - d/NEWS: Let users know about this change and how to force a reload
      of the openvswitch kernel module.
    - d/tests/dkms,common: Update to work with upstart configuration.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Aug 2013 11:18:52 +0100

openvswitch (1.10.1+git20130627-0ubuntu2) saucy; urgency=low

  * Allow compile with Linux 3.11 kernel
    - d/p/0005-datapath-Allow-compile-with-linux-3.11.patch
      Extend version checking to include the new kernel version.

 -- Stefan Bader <stefan.bader@canonical.com>  Sat, 03 Aug 2013 12:12:08 +0100

openvswitch (1.10.1+git20130627-0ubuntu1) saucy; urgency=low

  * New upstream snapshot:
    - d/p/0007-tests-Tolerate-init-process-pid-1.patch: Dropped; included
      in snapshot.
    - d/p/*lacp*: Drop patches related to lacp test changes; not required
      for this series.
    - d/*: Sync relevant packaging changes.
  * Provide initial support for Linux 3.10 kernel:
    - d/p/0004-datapath-Fixup-compatibility-with-linux-3.10.patch:
      Fixup compatibility with Linux 3.10; this is not full support for
      all new 3.10 features - it simply maintains compatibility for the
      existing codebase.
  * d/rules: Add get-orig-snapshot target for creating snapshots from
    upstream VCS.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Jul 2013 09:45:12 +0100

openvswitch (1.10.0-0ubuntu5) saucy; urgency=low

  * d/p/0007-tests-Tolerate-init-process-pid-1.patch: Resync with upstream
    accepted fix for FTBFS with upstart user sessions enabled, supercedes
    fix-init-user-sessions.patch with a more reliable test.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2013 09:43:18 +0100

openvswitch (1.10.0-0ubuntu4) saucy; urgency=low

  * Fix FTBFS when upstart user sessions are enabled:
    - d/p/fix-init-user-sessions.patch: init is not pid == 1 when building
      on Ubuntu with user sessions enabled; just check that the cmd name
      of the init process is 'init' instead.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Jun 2013 18:46:17 +0100

openvswitch (1.10.0-0ubuntu3) saucy; urgency=low

  * d/rules: Disable testing on powerpc architecture
    https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1189408.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Jun 2013 11:20:56 +0100

openvswitch (1.10.0-0ubuntu2) saucy; urgency=low

  * Fix FTBFS on powerpc architecture:
    - d/p/{0004,0005,0006}*.patch: Cherry picked fixes from upstream VCS
      for failing lacp test.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Jun 2013 10:30:10 +0100

openvswitch (1.10.0-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/p/handle-unix-socket-long-paths.patch: Dropped - included
      upstream.
    - d/control,NEWS: Drop openvswitch-brcompat package as feature has
      been dropped upstream, added NEWS entry to let users know.
    - d/tests: Update tests to drop brcompat module testing.
  * Add support for Linux 3.9 kernel (LP: #1180385):
    - d/p/0001-datapath-hlist-drop-the-node-parameter-from-iterator.patch:
      Cherry picked fix from upstream master branch to remove dropped
      node parameter from hlist calls.
    - d/p/0002-Add-support-for-linux-3.9-kernel.patch:
      Include the 3.9 kernel in the list of supported kernel versions.
    - d/p/0003-datapath-Backport-simplified-hlist-iterators.patch:
      Cherry picked fix to provide backported hlist iterators for older
      kernels.
    - d/rules: Always run boot.sh to pickup above changes.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Jun 2013 15:40:43 +0100

openvswitch (1.9.3+git20131029-1) unstable; urgency=low

  * New upstream release.
    - Fixes opening Unix sockets with very long names from Python.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 29 Oct 2013 08:31:55 -0700

openvswitch (1.9.3+git20131028-1) unstable; urgency=low

  * New upstream release.
    - Fixes "make check" with non-ASCII characters in present working
      directory.  Closes: #719736.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 28 Oct 2013 08:40:31 -0700

openvswitch (1.9.3+git20131021-1) unstable; urgency=low

  * New upstream version:
    - Fixes unaligned access issues in bug #719736.
    - Other bug fixes.
  * Other half of bug #719736 has probably not been addressed.  I don't
    understand it and want to see if it recurs in the autobuilders with
    the unaligned accesses fixed.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 21 Oct 2013 08:53:11 -0700

openvswitch (1.9.3-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 29 Aug 2013 17:02:33 -0700

openvswitch (1.9.2+git20130813-1) unstable; urgency=low

  * New upstream version.  Closes: #701758.
    - debian/patches: All patches dropped because they have been
      incorporated upstream.
    - Supports kernels up to 3.8.  Closes: #710125.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 07 Jun 2013 14:15:01 -0700

openvswitch (1.9.2-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 05 Apr 2013 18:37:19 -0700

openvswitch (1.9.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 14 Mar 2013 17:27:19 -0700

openvswitch (1.9.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    - Datapath:
      - Support for ipv6 set action.
      - SKB mark matching and setting.
      - support for Linux kernels up to 3.8
    - FreeBSD is now a supported platform, thanks to code contributions from
      Gaetano Catalli, Ed Maste, and Giuseppe Lettieri.
    - ovs-bugtool: New --ovs option to report only OVS related information.
    - New %t and %T log escapes to identify the subprogram within a
      cooperating group of processes or threads that emitted a log message.
      The default log patterns now include this information.
    - OpenFlow:
      - Allow bitwise masking for SHA and THA fields in ARP, SLL and TLL
        fields in IPv6 neighbor discovery messages, and IPv6 flow label.
      - Adds support for writing to the metadata field for a flow.
    - Tunneling:
      - The tunneling code no longer assumes input and output keys are
        symmetric.  If they are not, PMTUD needs to be disabled for
        tunneling to work. Note this only applies to flow-based keys.
      - New support for a nonstandard form of GRE that supports a 64-bit key.
      - Tunnel Path MTU Discovery default value was set to 'disabled'.
        This feature is deprecated and will be removed soon.
      - Tunnel header caching removed.
    - ovs-ofctl:
      - Commands and actions that accept port numbers now also accept keywords
        that represent those ports (such as LOCAL, NONE, and ALL).  This is
        also the recommended way to specify these ports, for compatibility
        with OpenFlow 1.1 and later (which use the OpenFlow 1.0 numbers
        for these ports for different purposes).
    - ovs-dpctl:
      - Support requesting the port number with the "port_no" option in
        the "add-if" command.
    - ovs-pki: The "online PKI" features have been removed, along with
      the ovs-pki-cgi program that facilitated it, because of some
      alarmist insecurity claims.  We do not believe that these claims
      are true, but because we do not know of any users for this
      feature it seems better on balance to remove it.  (The ovs-pki-cgi
      program was not included in distribution packaging.)
    - ovsdb-server now enforces the immutability of immutable columns.  This
      was not enforced in earlier versions due to an oversight.
    - The following features are now deprecated.  They will be removed no
      earlier than February 2013.  Please email dev@openvswitch.org with
      concerns.
        - Bridge compatibility.
        - Stable bond mode.
        - The autopath action.
        - Interface type "null".
        - Numeric values for reserved ports (see "ovs-ofctl" note above).
        - Tunnel Path MTU Discovery.
        - CAPWAP tunnel support.
    - The data in the RARP packets can now be matched in the same way as the
      data in ARP packets.

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 26 Feb 2013 11:23:19 -0700

openvswitch (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Added watch file.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Mar 2013 14:25:54 +0000

openvswitch (1.9.0~git20130225.cec7c9e-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * d/rules.modules: Install built modules to updates/openvswitch to ensure
    that they override any kernel provided version of openvswitch.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Feb 2013 14:28:46 +0000

openvswitch (1.9.0~git20130207.84b39f2-0ubuntu2) raring; urgency=low

  * Add DEP-8 tests for dkms, module-assistant and openflow.

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 20:40:09 +0000

openvswitch (1.9.0~git20130207.84b39f2-0ubuntu1) raring; urgency=low

  * New upstream snapshot from 1.9 branch:
    - d/p/support-linux-3.8.patch,
      d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Dropped as included upstream.
  * Fix dependencies for ovsdbmonitor (LP: #1098324):
    - d/control: Add dependency on python-twisted-conch.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Feb 2013 15:32:38 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu2) raring; urgency=low

  * Fix typo in debian/openvswitch-controller.default (LP: #1094556).

 -- Logan Rosen <logatronico@gmail.com>  Thu, 17 Jan 2013 19:24:45 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu1) raring; urgency=low

  * New upstream snapshot based on branch-1.9:
    - d/patches: Dropped all previous patches as all found upstream.
    - d/*: Synced packaging with upstream packaging changes.
    - d/control: Add libtool to BD's to support use of snapshot.
  * Fix compatibility with Linux 3.8 (LP: #1098650):
    - d/p/support-linux-3.8.patch:
      Accept Linux 3.8 as a compatible kernel version.
    - d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Adjust autoconf checks to correctly detect new kernel header file names.
  * Fix python test issues caused by long UNIX socket paths:
    - d/p/handle-unix-socket-long-paths.patch:
      Workaround long UNIX socket paths by using /proc/self/fd on Linux.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Jan 2013 11:22:40 +0000

openvswitch (1.8.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
    *** Internal only release ***
    - New FAQ.  Please send updates and additions!
    - Authors of controllers, please read the new section titled "Action
      Reproduction" in DESIGN, which describes an Open vSwitch change in
      behavior in corner cases that may affect some controllers.
    - ovs-l3ping:
        - A new test utility that can create L3 tunnel between two Open
          vSwitches and detect connectivity issues.
    - ovs-ofctl:
        - New --sort and --rsort options for "dump-flows" command.
        - "mod-port" command can now control all OpenFlow config flags.
    - OpenFlow:
      - Allow general bitwise masking for IPv4 and IPv6 addresses in
        IPv4, IPv6, and ARP packets.  (Previously, only CIDR masks
        were allowed.)
      - Allow support for arbitrary Ethernet masks.  (Previously, only
        the multicast bit in the destination address could be individually
        masked.)
      - New field OXM_OF_METADATA, to align with OpenFlow 1.1.
      - The OFPST_QUEUE request now reports an error if a specified port or
        queue does not exist, or for requests for a specific queue on all
        ports, if the specified queue does not exist on any port.  (Previous
        versions generally reported an empty set of results.)
      - New "flow monitor" feature to allow controllers to be notified of
        flow table changes as they happen.
    - Additional protocols are not mirrored and dropped when forward-bpdu is
      false.  For a full list, see the ovs-vswitchd.conf.db man page.
    - Open vSwitch now sends RARP packets in situations where it previously
      sent a custom protocol, making it consistent with behavior of QEMU and
      VMware.
    - All Open vSwitch programs and log files now show timestamps in UTC,
      instead the local timezone, by default.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 16 Jul 2012 16:44:52 +0900

openvswitch (1.7.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - kernel modules are renamed. openvswitch_mod.ko is now
      openvswitch.ko and brcompat_mod.ko is now brcompat.ko.
    - Increased the number of NXM registers to 8.
    - Added ability to configure dscp setting for manager and controller
      connections.  By default, these connections have a DSCP value of
      Internetwork Control (0xc0).
    - Added the granular link health statistics, 'cfm_health', to an
      interface.
    - OpenFlow:
        - Added support to mask nd_target for ICMPv6 neighbor discovery flows.
        - Added support for OpenFlow 1.3 port description (OFPMP_PORT_DESC)
          multipart messages.
    - ovs-ofctl:
        - Added the "dump-ports-desc" command to retrieve port
          information using the new port description multipart messages.
    - ovs-test:
        - Added support for spawning ovs-test server from the client.
        - Now ovs-test is able to automatically create test bridges and ports.
    - "ovs-dpctl dump-flows" now prints observed TCP flags in TCP flows.
    - Tripled flow setup performance.
    - The "coverage/log" command previously available through ovs-appctl
      has been replaced by "coverage/show".  The new command replies with
      coverage counter values, instead of logging them.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 30 Jul 2012 17:23:57 +0900

openvswitch (1.6.1-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - Allow OFPP_CONTROLLER as the in_port for packet-out messages.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 25 Jun 2012 13:52:17 +0900

openvswitch (1.6.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - bonding
        - LACP bonds no longer fall back to balance-slb when negotiations fail.
          Instead they drop traffic.
        - The default bond_mode changed from SLB to active-backup, to protect
          unsuspecting users from the significant risks of SLB bonds (which are
          documented in vswitchd/INTERNALS).
        - Load balancing can be disabled by setting the bond-rebalance-interval
          to zero.
    - OpenFlow:
        - Added support for bitwise matching on TCP and UDP ports.
          See ovs-ofctl(8) for more information.
        - NXM flow dumps now include times elapsed toward idle and hard
          timeouts.
        - Added an OpenFlow extension NXT_SET_ASYNC_CONFIG that allows
          controllers more precise control over which OpenFlow messages they
          receive asynchronously.
        - New "fin_timeout" action.
        - Added "fin_timeout" support to "learn" action.
    - The default MAC learning timeout has been increased from 60 seconds
      to 300 seconds.  The MAC learning timeout is now configurable.
    - When QoS settings for an interface do not configure a default queue
      (queue 0), Open vSwitch now uses a default configuration for that
      queue, instead of dropping all packets as in previous versions.
    - Logging to console and file will have UTC timestamp as a default for all
      the daemons. An example of the default format is 2012-01-27T16:35:17Z.
      ovs-appctl can be used to change the default format as before.
    - New support for limiting the number of flows in an OpenFlow flow
      table, with configurable policy for evicting flows upon
      overflow.  See the Flow_Table table in ovs-vswitch.conf.db(5)
      for more information.
    - New "enable-async-messages" column in the Controller table.  If set to
      false, OpenFlow connections to the controller will initially have all
      asynchronous messages disabled, overriding normal OpenFlow behavior.
    - ofproto-provider interface:
        - "struct rule" has a new member "used" that ofproto implementations
          should maintain by updating with ofproto_rule_update_used().
    - ovsdb-client:
        - The new option --timestamp causes the "monitor" command to print
          a timestamp with every update.
    - CFM module CCM broadcasts can now be tagged with an 802.1p priority.

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 24 Feb 2012 11:12:48 +0900

openvswitch (1.5.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - OpenFlow:
        - Added support for querying, modifying, and deleting flows
          based on flow cookie when using NXM.
        - Added new NXM_PACKET_IN format.
    - ovs-ofctl:
        - Added daemonization support to the monitor and snoop commands.
    - ovs-vsctl:
        - The "find" command supports new set relational operators
          {=}, {!=}, {<}, {>}, {<=}, and {>=}.
    - ovsdb-tool now uses the typical database and schema installation
      directories as defaults.

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 01 June 2012 13:06:00 +0900

openvswitch (1.4.3-0ubuntu2) quantal-proposed; urgency=low

  * Re-enable the openvswitch-datapath-dkms package to enable support
    for gre tunnels between virtual switches which is not supported
    in the kernel provided openvswitch module (LP: #1068365).
    - d/patches/0001->0008*.patch: Cherry picked patches from upstream
      trunk which enable support for the 3.5 linux kernel and align
      dkms module naming with kernel module naming.
    - d/dkms.conf.in: Drop _mod postfix from dkms module names.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Oct 2012 17:24:17 +0200

openvswitch (1.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1057098).
  * Dropped Debian patches:
    - debian/patches/debian-changes-1.4.2+git20120612-6
    - debian/patches/bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch
    - debian/patches/bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch
    - debian/patches/debian-changes-1.4.2+git20120612-9
  * Dropped Ubuntu patches:
    - debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch
  * Remaining changes:
    - debian/rules, debian/control: Enable hardening wrapper.
    - debian/control: Disable openvswitch-datapath-dkms package.

 -- Adam Gandelman <adamg@canonical.com>  Mon, 24 Sep 2012 14:55:07 -0700

openvswitch (1.4.2+git20120612-9ubuntu3) quantal; urgency=low

  * debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch: Cherry
    picked upstream patch to avoid critical issues with SNAT/DNAT when OVS
    is chained with other Linux components. May be dropped with 1.4.3 upload.
    (LP: #1044318)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 07 Sep 2012 12:12:03 -0700

openvswitch (1.4.2+git20120612-9ubuntu2) quantal; urgency=low

  * debian/rules, debian/control: Enable hardening wrapper.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Aug 2012 19:39:58 -0500

openvswitch (1.4.2+git20120612-9ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
  * Dropped changes:
    - d/patches/kernel_3.5_support.patch: Superceded by
      bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch

 -- James Page <james.page@ubuntu.com>  Tue, 07 Aug 2012 16:00:53 +0100

openvswitch (1.4.2+git20120612-9) unstable; urgency=low

  * Apply bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch to
    allow use of the openvswitch kernel module integrated into 3.3 and
    later.  Closes: #684057.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 06 Aug 2012 16:59:01 -0700

openvswitch (1.4.2+git20120612-8) unstable; urgency=low

  * Apply further patches to fix bugs resulting from moving
    /etc/openvswitch/conf.db to /var/lib/openvswitch in -7.

    This required applying the following bug fix patches:

    bug-681880-3-Make-the-location-of-the-database-separately-configu.patch
    bug-681880-4-tests-Slightly-generalize-utility-function-tests.patch
    bug-681880-5-util-New-function-follow_symlinks.patch
    bug-681880-6-lockfile-Be-more-forgiving-about-lockfiles-for-symli.patch
    bug-681880-7-ovsdb-Do-not-replace-symlinks-by-regular-files-durin.patch
    bug-681880-8-Fix-a-typo-in-commit-f973f2af2.patch
    bug-681880-9-dirs-dbdir-default-must-be-based-on-sysconfdir.patch

  * debian/rules: Configure /var/lib/openvswitch as the database directory
    instead of working through symlinks.  (The symlinks are still created
    for compatibility with people and existing software that are
    accustomed to seeing the database in its original location, but the
    Debian packages themselves never use the symlinks.)

  * debian/openvswitch-switch.postrm: Also remove
    /ec/openvswitch/system-id.conf and conf.db backups on purge.

  * utilities/ovs-pki.in: Use mode 0700 instead of 0733 for
    openvswitch-pki "incoming" directory, by applying
    bug-683665-use-mode-700-for-pki-incoming-dir.patch.  See the patch for
    complete rationale.  Closes: #683665.  Thanks to Andreas Beckmann
    <debian@abeckmann.de> for reporting this bug.

  * debian/openvswitch-pki.postinst: Change mode of existing "incoming"
    directories to 0700 at configure time (see above).

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 01 Aug 2012 11:20:21 -0700

openvswitch (1.4.2+git20120612-7) unstable; urgency=low

  * Move /etc/openvswitch/conf.db to /var/lib/openvswitch, using symlinks.
    Closes: #681880.  Thanks to Bastian Blank <waldi@debian.org> for
    reporting this bug.

    This required applying the following bug fix patches:

    bug-681880-1-lockfile-Fix-hang-locking-through-a-dangling-symlink.patch
    bug-681880-2-ovsdb-Make-ovsdb-tool-create-work-through-a-dangling.patch

  * Start the rest of OVS if bridge compatibility is enabled but the
    kernel bridge module cannot be loaded.  Closes: #681955.  Thanks to
    Bastian Blank <waldi@debian.org> for reporting this bug.

    This was fixed by applying the following bug fix patch:

    bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 27 Jul 2012 12:36:03 -0700

openvswitch (1.4.2+git20120612-6) unstable; urgency=low

  * utilities/automake.mk: Fix duplicate mention of ovs-vsctl in
    bin_PROGRAMS and bin_SCRIPTS; it should only have been in the former.
    Closes: #682384.  Thanks to Bastian Blank <waldi@debian.org> for
    reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 23 Jul 2012 09:46:41 -0700

openvswitch (1.4.2+git20120612-5) unstable; urgency=low

  * debian/openvswitch-controller.postrm: Remove configuration files in
    /etc/openvswitch-controller on purge.  Closes: #682187.  Thanks to
    Andreas Beckmann <debian@abeckmann.de> for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 20 Jul 2012 22:33:19 -0700

openvswitch (1.4.2+git20120612-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
    - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
      with 3.5 kernel module name, allowing use of openvswitch without
      openvswitch-datapath-dkms.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Jul 2012 08:51:47 +0100

openvswitch (1.4.2+git20120612-4) unstable; urgency=low

  * debian/openvswitch-switch.init: Do not modify iptables rules.  Closes:
    #680537.  Thanks to Bastian Blank <waldi@debian.org> for reporting
    this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 16 Jul 2012 12:56:37 -0700

openvswitch (1.4.2+git20120612-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
    - d/patches/kernel_3.5_support.patch: Fix openvswitch-switch startup
      with 3.5 kernel module name, allowing use of openvswitch without
      openvswitch-datapath-dkms.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Jul 2012 14:48:43 +0100

openvswitch (1.4.2+git20120612-3) unstable; urgency=low

  * debian/control: Add "netbase" dependency to ensure that /etc/protocols
    is available.  Closes: #680537.  Thanks to Bastian Blank <waldi@debian.org>
    for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 09 Jul 2012 09:50:03 -0700

openvswitch (1.4.2+git20120612-2ubuntu2) quantal; urgency=low

  * Disable openvswitch-datapath-dkms package (LP: #1018265); it's not
    compatible with the 3.5 kernel (which provides the openvswitch module)
    and if users really required the brcompat module and are using an older
    kernel then they can use openvswitch-datapath-source.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Jul 2012 13:00:58 +0100

openvswitch (1.4.2+git20120612-2ubuntu1) quantal; urgency=low

  * Fix openvswitch-switch startup with 3.5 kernel module name, allowing
    use of openvswitch without openvswitch-datapath-dkms (LP: #1021078):
    - d/patches/kernel_3.5_support.patch: Cherry picked patch from upstream
      VCS to align module naming with openvswitch module in 3.5 kernel.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Jul 2012 22:01:41 +0100

openvswitch (1.4.2+git20120612-2) unstable; urgency=low

  * Apply upstream commit that enables DKMS to automatically build for the
    running kernel, which seems to be common practice in DMS packaging
    (launchpad bug #962189)

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 19 Jun 2012 09:40:53 -0700

openvswitch (1.4.2+git20120612-1) unstable; urgency=low

  * New upstream version fixing the following bugs:
    o Crash fixes:
      - ofproto: Fix use after free in ofoperation_complete().
      - odp-util: Update ODPUTIL_FLOW_KEY_BYTES for current kernel flow format.
      - datapath: Check correct return value from skb_gso_segment().
    o Possible serious malfunctions:
      - dpif-netdev: allow for proper destruction of netdev datapaths.
      - datapath: Validation of IPv6 set port action uses IPv4 header.
    o Rare annoying corner case:
      - odp-util: Fix parsing of actions encapsulated within "sample" actions.
    o Bugs with unknown impact:
      - Correctly set destination MAC in mf_set_flow_value().
    o OpenFlow controller compatibility:
      - Allow OFPP_CONTROLLER as the in_port for packet-out messages.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 12 Jun 2012 10:25:08 -0700

openvswitch (1.4.0+git20120426-1) unstable; urgency=low

  * New upstream release fixing the following bugs:
    o Broken log rotation.
    o Use-after-free error when ports disappear.
    o Minor memory leaks.
    o Testsuite failures on big-endian architectures.

 -- Ben Pfaff <pfaffben@debian.org>  Thu, 26 Apr 2012 13:46:55 -0700

openvswitch (1.4.0+git20120321-1) unstable; urgency=low

  * New upstream version including:
    o Features:
      - ovs-vsctl: Allow "fake bridges" to be created for VLAN 0.
      - vswitchd: Make the MAC entry aging time configurable.
      - mac-learning: Increase MAC learning timeout to 300 seconds.
    o Bug fixes:
      - netdev-linux: Fix use-after-free when netdev_dump_queues() deletes
        queues.
      - netlink-socket: Increase Netlink socket receive buffer size.
      - ofproto: Fix code that keeps track of MTU.
      - ovs-monitor-ipsec: Detect correctly IPSEC configuration changes
      - bond: Incorrectly reported an error in appctl.
      - socket-util: Unlink Unix domain sockets that bind but fail to connect.
      - bridge: Remove unwanted ports at time of ofproto creation.
      - dpif-linux: Make dpif_linux_port_query_by_name() query only one
        datapath.
      - ofproto-dpif: Cleanup STP on ports when disabled on their bridge.
      - configure: Try to extract kernel source directory from build Makefile.
      - vswitchd: Always configure a default queue for QoS.
      - ofproto-dpif: Don't output to in_port even if in_port is OFPP_LOCAL.
      - sflow_agent: Use snprintf() in place of sprintf().
    o Packaging:
      - Move PKI directory to FHS-compliant location.  Closes: #661090.
        Thanks to Andreas Beckmann <debian@abeckmann.de> for reporting
        this bug.
      - Use a different way to avoid failing install without kernel module.
      - Avoid unit test failure when doing "unofficial" builds.
      - Bump standards-version to 3.9.3.
      - Remove some useless files from the dkms package.
      - Clean .pyc files in "clean" target.
      - Remove po-debconf build dependency.
      - Build-depend on python-all to pull in all Python versions.
      - Add missing ${python:Depends} to openvswitch-test package.
      - Improve long descriptions so as to better describe the packages.
      - Bump debhelper compat level to 8 and make build-depends consistent.
      - Fix exit status of openvswitch-switch init script "status" command.
      - Use provided kernel source dir instead of host kernel version.
      - Do not run "make" if "configure" fails during DKMS build.
      - Look in /lib/modules instead of /usr/src for DKMS kernel sources.
      - Fix dependencies for openvswitch-datapath-dkms package.
      - Don't install Python modules for obsolete Python versions.
      - Add dependency on ${misc:Depends} to openvswitch-test
    o Documentation improvements:
      - ovsdb-doc: Use minus sign in negative numbers in nroff output.
      - ovsdb-doc: Convert '-' preceding a number as a minus sign, not a
        hyphen.
      - ovsdb-doc: Put NAME section into generated manpage.
      - Fix typo in manpage.
      - vswitchd: Document behavior of 802.1p priorities with VLAN splinters.
      - netdev: Fix typo in error message.
      - INSTALL.Linux: minor typo

  * Many thanks to Thomas Goirand <zigo@debian.org> for contributing many
    of the packaging fixes listed above.

  * This version fixes most of the lintian errors described in bug
    #663051, but a few remain, so this upload does not close that bug.  I
    believe that this upload should be suitable for downgrading that bug's
    severity.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 21 Mar 2012 10:00:28 -0700

openvswitch (1.4.0-2+nmu1) unstable; urgency=low

  * Non maintainer upload.
  * Removes all patches in debian/patches, because they are patching stuff
  inconditionally in debian/*, and this should be applied by default.
  * Uses the correct ${kernel_source_dir} in debian/dkms.conf.in, so that
  the kernel module builds as expected (Closes: #659685).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Mar 2012 08:46:24 +0000

openvswitch (1.4.0-2) unstable; urgency=low

  * Use explicit DKMS variable for kernel source directory
    - 0001-debian-Fix-dependencies-for-openvswitch-datapath-dkm.patch
    - 0002-debian-Look-in-lib-modules-instead-of-usr-src-for-DK.patch
    - 0001-debian-Use-provided-kernel-source-dir.patch
    - 0001-debian-Do-not-run-make-if-configure-fails-during-DKM.patch
    - (closes: #659685)
  * Don't install Python modules for obsolete Python versions
    - 0001-debian-Don-t-install-Python-modules-for-obsolete-Pyt.patch

 -- Simon Horman <horms@debian.org>  Tue, 14 Feb 2012 11:43:13 +0900

openvswitch (1.4.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - Compatible with Open vSwitch kernel module included in Linux 3.3.
    - New "VLAN splinters" feature to work around buggy device drivers
      in old Linux versions.  (This feature is deprecated.  When
      broken device drivers are no longer in widespread use, we will
      delete this feature.)  See ovs-vswitchd.conf.db(5) for more
      information.
    - OpenFlow:
       - Added ability to match on IPv6 flow label through NXM.
       - Added ability to match on ECN bits in IPv4 and IPv6 through NXM.
       - Added ability to match on TTL in IPv4 and IPv6 through NXM.
       - Added ability to modify ECN bits in IPv4.
       - Added ability to modify TTL in IPv4.
    - ovs-vswitchd:
       - Don't require the "normal" action to use mirrors.  Traffic will
         now be properly mirrored for any flows, regardless of their
         actions.
       - Track packet and byte statistics sent on mirrors.
    - ovs-appctl:
      - New "fdb/flush" command to flush bridge's MAC learning table.
    - ovs-test:
      - A new distributed testing tool that allows one to diagnose performance
        and connectivity issues. This tool currently is not included in RH or
        Xen packages.
    - RHEL packaging now supports integration with Red Hat network scripts.
    - Debian: Depend on python (>= 2.7) | python-argparse instead of
              python-argparse to avoid pulling in python2.6
              (closes: #653645)

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 30 Jan 2012 23:36:00 +0000

openvswitch (1.3.0-1) unstable; urgency=low
  [ Open vSwitch team ]
  * New upstream version
    - OpenFlow:
      - Added an OpenFlow extension which allows the "output" action to accept
        NXM fields.
      - Added an OpenFlow extension for flexible learning.
      - Bumped number of NXM registers from four to five.
    - ovs-appctl:
      - New "version" command to determine version of running daemon.
      - If no argument is provided for "cfm/show", displays detailed
        information about all interfaces with CFM enabled.
      - If no argument is provided for "lacp/show", displays detailed
        information about all ports with LACP enabled.
    - ovs-vswitchd:
      - The software switch now supports 255 OpenFlow tables, instead
        of just one.  By default, only table 0 is consulted, but the
        new NXAST_RESUBMIT_TABLE action can look up in additional
        tables.  Tables 128 and above are reserved for use by the
        switch itself; please use only tables 0 through 127.
      - Add support for 802.1D spanning tree (STP).
    - Fragment handling extensions:
      - New OFPC_FRAG_NX_MATCH fragment handling mode, in which L4
        fields are made available for matching in fragments with
        offset 0.
      - New NXM_NX_IP_FRAG match field for matching IP fragments (usable
        via "ip_frag" in ovs-ofctl).
      - New ovs-ofctl "get-frags" and "set-frags" commands to get and set
        fragment handling policy.
    - CAPWAP tunneling now supports an extension to transport a 64-key.  By
      default it remains compatible with the old version and other
      standards-based implementations.
    - Flow setups are now processed in a round-robin manner across ports
      to prevent any single client from monopolizing the CPU and conducting
      a denial of service attack.
    - Added support for native VLAN tagging.  A new "vlan_mode"
      parameter can be set for "port". Possible values: "access",
      "trunk", "native-tagged" and "native-untagged".
    - test-openflowd has been removed.  Please use ovs-vswitchd instead.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 09 Dec 2011 23:36:00 +0000

openvswitch (1.2.0-1) unstable; urgency=low

  [ Open vSwitch team ]
  * New upstream version
    - New "ofproto" abstraction layer to ease porting to hardware
      switching ASICs.
    - Packaging for Red Hat Enterprise Linux 5.6 and 6.0.
    - Datapath support for Linux kernels up to 3.0.
    - OpenFlow:
      - New "bundle" and "bundle_load" action extensions.
    - Database:
      - Implement table unique constraints.
      - Support cooperative locking between callers.
    - ovs-dpctl:
      - New "-s" option for "show" command prints packet and byte
        counters for each port.
    - ovs-ofctl:
      - New "--readd" option for "replace-flows".
    - ovs-vsctl:
      - New "show" command to print an overview of configuration.
      - New "comment" command to add remark that explains intentions.
    - ovs-brcompatd has been rewritten to fix long-standing bugs.
    - ovs-openflowd has been renamed test-openflowd and moved into the
      tests directory.  Its presence confused too many users.  Please
      use ovs-vswitchd instead.
    - New ovs-benchmark utility to test flow setup performance.
    - A new log level "off" has been added.  Configuring a log facility
      "off" prevents any messages from being logged to it.  Previously,
      "emer" was effectively "off" because no messages were ever logged at
      level "emer".  Now, errors that cause a process to exit are logged
      at "emer" level.
    - "configure" option --with-l26 has been renamed --with-linux, and
      --with-l26-source has been renamed --with-linux-source.  The old
      names will be removed after the next release, so please update
      your scripts.
    - The "-2.6" suffix has been dropped from the datapath/linux-2.6 and
      datapath/linux-2.6/compat-2.6 directories.
    - Feature removals:
      - Dropped support for "tun_id_from_cookie" OpenFlow extension.
        Please use the extensible match extensions instead.
      - Removed the Maintenance_Point and Monitor tables in an effort
        to simplify 802.1ag configuration.
    - Performance and scalability improvements
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Wed, 03 Aug 2011 14:43:00 +0000

openvswitch (1.1.1-1) unstable; urgency=low

  [ Open vSwitch team ]
  * Bug fixes.

  [ Simon Horman ]
  * docs: Suppress warning marcro DD not defined
    (upstream commit 58f870d0)
  * debian: Make openvswitch depend on Python
    (upstream commit aa41cb61)
  * debian: Don't begin openvswitch-pki description with article.
    (upstream commit bc6bb66)
  * Debian: Add ${misc:Depends} dependency to python-openvswitch
  * Debian: Update standards version from 3.9.1 to 3.9.2
  * Debian: ${source:Version} dependency on python openvswitch
  * Debian: ${source:Version} dependency for python openvswitch
  * Switch to dpkg-source 3.0 (quilt) format
    - For local non-debian/ patches (above)

 -- Simon Horman <horms@debian.org>  Wed, 15 Jun 2011 10:46:15 +0900

openvswitch (1.1.0-1) unstable; urgency=low

  [ Open vSwitch team ]
  * New upstream version
    - Ability to define policies over IPv6
    - LACP
    - 802.1ag CCM
    - Support for extensible match extensions to OpenFlow
    - QoS:
      - Support for HFSC qdisc.
      - Queue used by in-band control can now be configured.
    - Kernel:
      - Kernel<->userspace interface has been reworked and should be
        close to a stable ABI now.
      - "Port group" concept has been dropped.
    - GRE over IPSEC tunnels
    - Bonding:
      - New active backup bonding mode.
      - New L4 hashing support when LACP is enabled.
      - Source MAC hash now includes VLAN field also.
      - miimon support.
    - Greatly improved handling of large flow tables
    - ovs-dpctl:
      - "show" command now prints full vport configuration.
      - "dump-groups" command removed since kernel support for
        port groups was dropped.
    - ovs-vsctl:
      - New commands for working with the new Managers table.
      - "list" command enhanced with new formatting options and --columns
        option.
      - "get" command now accepts new --id option.
      - New "find" command.
    - ovs-ofctl:
      - New "queue-stats" command for printing queue stats.
      - New commands "replace-flows" and "diff-flows".
      - Commands to add and remove flows can now read from files.
      - New --flow-format option to enable or disable NXM.
      - New --more option to increase OpenFlow message verbosity.
      - Removed "tun-cookie" command, which is no longer useful.
    - ovs-controller enhancements for testing various features.
    - New ovs-vlan-test command for testing for Linux kernel driver VLAN
      bugs.  New ovs-vlan-bug-workaround command for enabling and
      disabling a workaround for these driver bugs.
    - OpenFlow support:
      - "Resubmit" actions now update flow statistics.
      - New "register" extension for use in matching and actions, via NXM.
      - New "multipath" experimental action extension.
      - New support for matching multicast Ethernet frames, via NXM.
      - New extension for OpenFlow vendor error codes.
      - New extension to set the QoS output queue without actually
        sending to an output port.
      - Open vSwitch now reports a single flow table, instead of
        separate hash and wildcard tables.  This better models the
        current implementation.
      - New experimental "note" action.
      - New "ofproto/trace" ovs-appctl command and associated utilities
        to ease debugging complex flow tables.
    - Database:
      - Schema documentation now includes an entity-relationship diagram.
      - The database is now garbage collected.  In most tables,
        unreferenced rows will be deleted automatically.
      - Many tables now include statistics updated periodically by
        ovs-vswitchd or ovsdb-server.
      - Every table now has an "external-ids" column for use by OVS
        integrators.
      - There is no default controller anymore.  Each bridge must have its
        controller individually specified.
      - The "fail-mode" is now a property of a Bridge instead of a Controller.
      - New versioning and checksum features.
      - New Managers table and manager_options column in Open_vSwitch table
        for specifying managers.  The old "managers" column in the
        Open_vSwitch table has been removed.
      - Many "name" columns are now immutable.
    - Feature removals:
      - Dropped support for XenServer pre-5.6.100.
      - Dropped support for Linux pre-2.6.18.
      - Dropped controller discovery support.
      - Dropped "ovs-ofctl status" and the OpenFlow extension that it used.
        Statistics reporting in the database is a rough equivalent.
      - Dropped the "corekeeper" package (now separate, at
        http://openvswitch.org/cgi-bin/gitweb.cgi?p=corekeeper).
    - Performance and scalability improvements
    - Bug fixes

  [ Simon Horman ]
  * Add the following fixes from upstream branch-1.1
    - 7f1aca9 dpif-linux: Avoid logging error on ENOENT in
              dpif_linux_is_internal_device().
    - 8996f83 dpif-linux: Avoid segfault on netdev_get_stats() without kernel
              module.
    - 002d4a3 vswitch: Improve schema documentation.
    - 58bd294 cfm: Fix broken fault logic.
    - c042664 bridge: Run once before configuring CFM.
   * Switch to dpkg-source 3.0 (quilt) format

 -- Simon Horman <horms@debian.org>  Wed, 27 Apr 2011 17:11:10 +0900

openvswitch (1.1.0~pre2.g2.ea763e0e-1) unstable; urgency=low

  * Git snapshot, including
    - tests: Fix Y2011 bug in testsuite
      (closes: #609506)

 -- Simon Horman <horms@debian.org>  Wed, 12 Jan 2011 08:34:35 +0900

openvswitch (1.1.0~pre2.g1.bbe8d06e-1) unstable; urgency=low

  * Git snaptshot

 -- Simon Horman <horms@debian.org>  Thu, 06 Jan 2011 11:11:55 +0900

openvswitch (1.1.0~pre2-5) unstable; urgency=low

  * Open vSwitch only works on Linux so set
    the Architecture of binary packages to linux-any accordingly

 -- Simon Horman <horms@debian.org>  Tue, 23 Nov 2010 07:55:19 +0900

openvswitch (1.1.0~pre2-4) unstable; urgency=low

  * Add procps to Build-Depends
    (closes: #602891)

 -- Simon Horman <horms@debian.org>  Tue, 16 Nov 2010 06:46:17 +0900

openvswitch (1.1.0~pre2-3) unstable; urgency=low

  * Remove the corekeeper package as it isn't strongly related
    to Open vSwitch. It has subsequently been broken off into
    a separate source repository and may be uploaded as its
    own debian source package.
    http://openvswitch.org/cgi-bin/gitweb.cgi?p=corekeeper;a=summary
    (closes: #602946)
  * Avoid the use of long socket names.
    (closes: #602891, closes: #602911)

 -- Simon Horman <horms@debian.org>  Thu, 11 Nov 2010 06:35:05 +0900

openvswitch (1.1.0~pre2-2) unstable; urgency=low

  * Clarify licensing of files in xenserver/

 -- Simon Horman <horms@debian.org>  Thu, 23 Sep 2010 10:56:18 +0900

openvswitch (1.1.0~pre2-1) unstable; urgency=low

  * New upstream version
    - Bug fixes

 -- Simon Horman <horms@debian.org>  Wed, 15 Sep 2010 18:28:59 +0900

openvswitch (1.1.0~pre1-1) unstable; urgency=low

  * New upstream version
    - OpenFlow 1.0 slicing (QoS) functionality
    - Python bindings for configuration database (no write support)
    - Performance and scalability improvements
    - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 31 Aug 2010 23:20:00 +0000

openvswitch (1.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 17 May 2010 10:36:00 +0000
